Bug 12751 - request to document that mcheck is not thread safe.
Summary: request to document that mcheck is not thread safe.
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: manual (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-11 17:31 UTC by Peeter Joot
Modified: 2014-06-13 10:57 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peeter Joot 2011-05-11 17:31:41 UTC
Attempting to use -lmcheck on a threaded program, I was not able to locate the error in the source associated with an apparent mcheck() MCHECK_HEAD status result.  I found on stackoverflow:

http://stackoverflow.com/questions/314931/glibcs-lmcheck-option-and-multithreading

saying that mcheck is not actually thread safe, referencing the following bug report:

http://sourceware.org/bugzilla/show_bug.cgi?id=6547

This bug is opened to request that the non-thread-safe nature of mcheck() be documented explicitly in the libc info page 'Heap Consistency Checking'.
Comment 1 cvs-commit@gcc.gnu.org 2013-12-07 05:00:23 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  d41a61440aa910781b6f276623a942e4cb1f032e (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d41a61440aa910781b6f276623a942e4cb1f032e

commit d41a61440aa910781b6f276623a942e4cb1f032e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b67e15a06104f22a51f3076a165e6e5b5f8408cb

commit b67e15a06104f22a51f3076a165e6e5b5f8408cb
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=21c8ad9662a68b8afaa777ea5d8932d5726015b2

commit 21c8ad9662a68b8afaa777ea5d8932d5726015b2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0932fecb27568a06b8f30676a4fa380db1224700

commit 0932fecb27568a06b8f30676a4fa380db1224700
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0669b188daf0bb33cd4c8c5558cbdc83e88870e3

commit 0669b188daf0bb33cd4c8c5558cbdc83e88870e3
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0a988d9fb656ec5e9e113dfc71d19b03557b1d0e

commit 0a988d9fb656ec5e9e113dfc71d19b03557b1d0e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=380caa0fe31f9d0b47ec8444057721927f4024cb

commit 380caa0fe31f9d0b47ec8444057721927f4024cb
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d1c1892d7b73b66927613d416b34c878294ebe0a

commit d1c1892d7b73b66927613d416b34c878294ebe0a
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f4b41760c42e51116fa58b7e881c7c58ad687b45

commit f4b41760c42e51116fa58b7e881c7c58ad687b45
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=da7084f9561ac474bcb1cc2a8b7648944a8902f8

commit da7084f9561ac474bcb1cc2a8b7648944a8902f8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a381eefcc181eaa5e7c72f1dca187f2c5a531270

commit a381eefcc181eaa5e7c72f1dca187f2c5a531270
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c6d4b5b567b350937fbd3b03cc2fe00968b128c2

commit c6d4b5b567b350937fbd3b03cc2fe00968b128c2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=12f5c60f3a63f1bd11fac050ad0cd8dd68786efe

commit 12f5c60f3a63f1bd11fac050ad0cd8dd68786efe
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5f59019e9eb23d581c5b865831e05d2ed23441de

commit 5f59019e9eb23d581c5b865831e05d2ed23441de
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a50afe1058f85198e12116f4edf3d80501f2bdde

commit a50afe1058f85198e12116f4edf3d80501f2bdde
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d990f8b9071b4e8ff3f740ba41fdad5c747b6059

commit d990f8b9071b4e8ff3f740ba41fdad5c747b6059
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a4a59cebdd8c7d9fd90feea2b9580db10f7616ee

commit a4a59cebdd8c7d9fd90feea2b9580db10f7616ee
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e890a65ad8d4baf2f51da1c4b1f7b65fddb3b8a7

commit e890a65ad8d4baf2f51da1c4b1f7b65fddb3b8a7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9943b8e1dba2276cf69c0b42399202a9bc16d9f6

commit 9943b8e1dba2276cf69c0b42399202a9bc16d9f6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e00cfd55bf3adfaab456a867e18ab28102626459

commit e00cfd55bf3adfaab456a867e18ab28102626459
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=543904fada91dba1679429502f7fcaea39d88f90

commit 543904fada91dba1679429502f7fcaea39d88f90
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c1a367fb687d0e5cce8d0b1e40989274f7de3eaa

commit c1a367fb687d0e5cce8d0b1e40989274f7de3eaa
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b20e781591e8e2732896d367ef16a5e76db06888

commit b20e781591e8e2732896d367ef16a5e76db06888
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ee2f86332bd6c4792ef109323232eb3ea010dfc2

commit ee2f86332bd6c4792ef109323232eb3ea010dfc2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=729a7a2d0540f9d216c6a712cfbf6abf1a13c9bf

commit 729a7a2d0540f9d216c6a712cfbf6abf1a13c9bf
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e3d4cf4f3327cb41d941e099e82c528cb7cd1e32

commit e3d4cf4f3327cb41d941e099e82c528cb7cd1e32
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2c736d243b239a8889a7408998606bbfbaa237f5

commit 2c736d243b239a8889a7408998606bbfbaa237f5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=287605bd9b592c0dc1ff1e5a6f37228d15a3d6bc

commit 287605bd9b592c0dc1ff1e5a6f37228d15a3d6bc
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f5a926fb73a33f2fb724ace57a7d8d0f06e9972d

commit f5a926fb73a33f2fb724ace57a7d8d0f06e9972d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ad4e4b9c3811df43fcffa419afac432a81c677a7

commit ad4e4b9c3811df43fcffa419afac432a81c677a7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f406edaace2539ec7fa51c1967f6124c0d03b59d

commit f406edaace2539ec7fa51c1967f6124c0d03b59d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e97fb1c12407336f7af6b91cd6c8e6ebf9831804

commit e97fb1c12407336f7af6b91cd6c8e6ebf9831804
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e57e0fcca9cc39093f29b2d2a1d9c0001462cf79

commit e57e0fcca9cc39093f29b2d2a1d9c0001462cf79
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Dec 7 02:01:08 2013 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 2 cvs-commit@gcc.gnu.org 2014-01-04 05:41:19 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  fab1717d8ad3f155a9d8d11a0f1ccb1b6f503c30 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fab1717d8ad3f155a9d8d11a0f1ccb1b6f503c30

commit fab1717d8ad3f155a9d8d11a0f1ccb1b6f503c30
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:19 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=218156243aedee6a061e5c70083e17488a52c15e

commit 218156243aedee6a061e5c70083e17488a52c15e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:51 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=27193109d80a0447e6fbedc89dd2726d65f14fe4

commit 27193109d80a0447e6fbedc89dd2726d65f14fe4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:20 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=278091ffe64a3cb7ac6966462574870dbd92bb90

commit 278091ffe64a3cb7ac6966462574870dbd92bb90
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:19 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=09def8269e905968b79431ca5112af6c3f94af63

commit 09def8269e905968b79431ca5112af6c3f94af63
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fad1c161c2f2eede4da2d0a9b66018a9ae960021

commit fad1c161c2f2eede4da2d0a9b66018a9ae960021
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5610ed25a9bb4e17305ce5ee907da5ea19305a3b

commit 5610ed25a9bb4e17305ce5ee907da5ea19305a3b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=13693548011b7e12311c2a866c46749505812cd2

commit 13693548011b7e12311c2a866c46749505812cd2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ee13da2680e077a65d890665f47759410a486295

commit ee13da2680e077a65d890665f47759410a486295
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d515585b1c0899d15594e7bf1c33ac12a3249551

commit d515585b1c0899d15594e7bf1c33ac12a3249551
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=54766d9d2319298569e4af42d90f8e0658312094

commit 54766d9d2319298569e4af42d90f8e0658312094
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a88403946ed07e764ff602db710bad829229370a

commit a88403946ed07e764ff602db710bad829229370a
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c98e2692104c198a01857f8e055216d0109749d4

commit c98e2692104c198a01857f8e055216d0109749d4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=49ad6a74c1b7bbecfce4a160ce3fad6c271d32c4

commit 49ad6a74c1b7bbecfce4a160ce3fad6c271d32c4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=76f605e2d0b51a9d1be745e53755b6da4203cbb6

commit 76f605e2d0b51a9d1be745e53755b6da4203cbb6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0b8dea38f4234a3261ce25e699010a4fda2a4bea

commit 0b8dea38f4234a3261ce25e699010a4fda2a4bea
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=190b857ebb07ddfc47ab864d975a98764ea9c9fd

commit 190b857ebb07ddfc47ab864d975a98764ea9c9fd
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a0701badcc1155fad5f1063b61554f1529426e56

commit a0701badcc1155fad5f1063b61554f1529426e56
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d1bc3c129db237589d8b54c23390f6d7aad52a13

commit d1bc3c129db237589d8b54c23390f6d7aad52a13
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=dab1a1ac8b69afec1b33e5a072ab257a7bacd5fb

commit dab1a1ac8b69afec1b33e5a072ab257a7bacd5fb
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=90f72a4b34a980b21721d5797b0e18f711601414

commit 90f72a4b34a980b21721d5797b0e18f711601414
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a08d1834ff83971ec92b4bcc28b61019b81093c4

commit a08d1834ff83971ec92b4bcc28b61019b81093c4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=29f4f3d99e5919ff3e365343a260d4f1fb93b6a6

commit 29f4f3d99e5919ff3e365343a260d4f1fb93b6a6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fa223f4a1f0aaed1d4ba2f6a674601a326260bf9

commit fa223f4a1f0aaed1d4ba2f6a674601a326260bf9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6b5fa7bc1d1c9057cc867ede710dfbd62b23a0ab

commit 6b5fa7bc1d1c9057cc867ede710dfbd62b23a0ab
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7ac05cbd5b257b877f409b4d86d28d80444bc13a

commit 7ac05cbd5b257b877f409b4d86d28d80444bc13a
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4fe02448d87bb767bb55387de71902fbec557114

commit 4fe02448d87bb767bb55387de71902fbec557114
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=86fb6548c56ae95bf0961b293ec5b86bf1d1c7f8

commit 86fb6548c56ae95bf0961b293ec5b86bf1d1c7f8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4a2ebeacade5607a3e7d276f832373b1b26e5e72

commit 4a2ebeacade5607a3e7d276f832373b1b26e5e72
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b5dc6fc99252ed92fbe3f58a5c72fde2adc6725e

commit b5dc6fc99252ed92fbe3f58a5c72fde2adc6725e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a0aa05ac897db2366b10564b707dcc3b1b0d3f38

commit a0aa05ac897db2366b10564b707dcc3b1b0d3f38
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4fc0ac004657fbecf1fed533c971e19211b3bc57

commit 4fc0ac004657fbecf1fed533c971e19211b3bc57
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=29fd9503919bd00adcd86037352d3881665ae272

commit 29fd9503919bd00adcd86037352d3881665ae272
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=07b14fc9a96cabbb31892516dce0b7bfdd4478a5

commit 07b14fc9a96cabbb31892516dce0b7bfdd4478a5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7026cfaa8fbb1b0e9723b5700063d8170e7d0b06

commit 7026cfaa8fbb1b0e9723b5700063d8170e7d0b06
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=59c022df81422763e615b9ff439b2cdd9d5ce844

commit 59c022df81422763e615b9ff439b2cdd9d5ce844
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=20d1c4d9fad66814306c3552e51d0a7ea32775fa

commit 20d1c4d9fad66814306c3552e51d0a7ea32775fa
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 03:08:08 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 3 cvs-commit@gcc.gnu.org 2014-01-09 06:58:35 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  aea9b9a2855546d2476d31f8d400206b05d552f8 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=aea9b9a2855546d2476d31f8d400206b05d552f8

commit aea9b9a2855546d2476d31f8d400206b05d552f8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a0d8bc067e9a8a493f4ce44043b8d08b1f7931eb

commit a0d8bc067e9a8a493f4ce44043b8d08b1f7931eb
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f6063ddbbcb6416524716f89aeb630c753aff166

commit f6063ddbbcb6416524716f89aeb630c753aff166
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b88bb67e99a14d1b717b96d3dc8e858ab4dd593d

commit b88bb67e99a14d1b717b96d3dc8e858ab4dd593d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8d013c18a7836cac150e4a03c35732cf59143f39

commit 8d013c18a7836cac150e4a03c35732cf59143f39
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:20 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9caeb3db94c49f204639201ba0e00ccf7d01a176

commit 9caeb3db94c49f204639201ba0e00ccf7d01a176
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d2cd82eeb239ac9be9d200d6a68032c226299ce0

commit d2cd82eeb239ac9be9d200d6a68032c226299ce0
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0e8c27c9e649adc1cd5fe65558c1ba9270615527

commit 0e8c27c9e649adc1cd5fe65558c1ba9270615527
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0741b22e96be02b31e08efe4892fd3b11ad828ac

commit 0741b22e96be02b31e08efe4892fd3b11ad828ac
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9f9b377232691e82c233571d5f60d0fdfd15a859

commit 9f9b377232691e82c233571d5f60d0fdfd15a859
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=926b6a50007119c543268d2a8e2c85c1b6b06185

commit 926b6a50007119c543268d2a8e2c85c1b6b06185
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3d56491d603abbcad6008fbf748aa181cf8f68b5

commit 3d56491d603abbcad6008fbf748aa181cf8f68b5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:51 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6010f49d13a53a5f43ff99f5fb9279df00292963

commit 6010f49d13a53a5f43ff99f5fb9279df00292963
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=74f85a50567a0ccce2875ea321141293eeda5837

commit 74f85a50567a0ccce2875ea321141293eeda5837
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f2650546c47bcfffd2800b971677aaa61c278284

commit f2650546c47bcfffd2800b971677aaa61c278284
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f8c7e6bffb28ca3600d2beb1372a1f2c71f913b9

commit f8c7e6bffb28ca3600d2beb1372a1f2c71f913b9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:19 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4dc5192e4e788db7427c04df7d46be1fc818c6bf

commit 4dc5192e4e788db7427c04df7d46be1fc818c6bf
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:19 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=81cfcf66bce85163c1b9f17487e98a8828284482

commit 81cfcf66bce85163c1b9f17487e98a8828284482
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=04e49d067509b03f6d78092c11471e13cf073c1f

commit 04e49d067509b03f6d78092c11471e13cf073c1f
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c2c08bcb1a23fbc643b1901765c27e874c222233

commit c2c08bcb1a23fbc643b1901765c27e874c222233
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7ebbd77a5df178eb4066497ddd9e250c6cf4b4a6

commit 7ebbd77a5df178eb4066497ddd9e250c6cf4b4a6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=63d2d11a23136752672a4b2a85aec9ac389fe107

commit 63d2d11a23136752672a4b2a85aec9ac389fe107
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e1aeb0e5b95b08b74b8736556af6810651b8d781

commit e1aeb0e5b95b08b74b8736556af6810651b8d781
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=31638059a8c129e82a28a0a6eaf844cbc73cf6cc

commit 31638059a8c129e82a28a0a6eaf844cbc73cf6cc
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=49d3395980c95fecbb4d36193bb492b9c86e68ed

commit 49d3395980c95fecbb4d36193bb492b9c86e68ed
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e827571c4f1c93eb020fca6408aa431d8b12e404

commit e827571c4f1c93eb020fca6408aa431d8b12e404
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c0f1670f24dab29abf773005150aeebb6ceec8a2

commit c0f1670f24dab29abf773005150aeebb6ceec8a2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=59e69a01ec8b2745c7081dda628a4c6bbd47fb94

commit 59e69a01ec8b2745c7081dda628a4c6bbd47fb94
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d1a76e17fc0331cbdfdc86cd655b883fc4d49c42

commit d1a76e17fc0331cbdfdc86cd655b883fc4d49c42
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a6bde994a4d49dcf2ab9c414709fd3c3c4c5a9e2

commit a6bde994a4d49dcf2ab9c414709fd3c3c4c5a9e2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9331b2a6e9d6051f7a5c5ea6606cba41a6bc7ed9

commit 9331b2a6e9d6051f7a5c5ea6606cba41a6bc7ed9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b9b685e4bacdbabbc453be5232b12f2d97a97b87

commit b9b685e4bacdbabbc453be5232b12f2d97a97b87
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=29fd9503919bd00adcd86037352d3881665ae272

commit 29fd9503919bd00adcd86037352d3881665ae272
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=07b14fc9a96cabbb31892516dce0b7bfdd4478a5

commit 07b14fc9a96cabbb31892516dce0b7bfdd4478a5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7026cfaa8fbb1b0e9723b5700063d8170e7d0b06

commit 7026cfaa8fbb1b0e9723b5700063d8170e7d0b06
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=59c022df81422763e615b9ff439b2cdd9d5ce844

commit 59c022df81422763e615b9ff439b2cdd9d5ce844
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=20d1c4d9fad66814306c3552e51d0a7ea32775fa

commit 20d1c4d9fad66814306c3552e51d0a7ea32775fa
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 03:08:08 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 4 cvs-commit@gcc.gnu.org 2014-01-17 01:06:50 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  95d6b9e5db3103ec5d8b25a93004ec2ebec3cf08 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=95d6b9e5db3103ec5d8b25a93004ec2ebec3cf08

commit 95d6b9e5db3103ec5d8b25a93004ec2ebec3cf08
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6d86e327b85a4419135cf8ce5752830eeaf2a2a4

commit 6d86e327b85a4419135cf8ce5752830eeaf2a2a4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=205740fde1e04a576d7ebc5ff0a7ec967bca3954

commit 205740fde1e04a576d7ebc5ff0a7ec967bca3954
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:24 2013 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9c1eea5a66dc3626a62c76c56c4f5123c387dfc8

commit 9c1eea5a66dc3626a62c76c56c4f5123c387dfc8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8a8e6c396c67e18b272ebe0633e166125f90aada

commit 8a8e6c396c67e18b272ebe0633e166125f90aada
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:20 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7f47ff5d1230b52d736f0f18b1004271257fac7e

commit 7f47ff5d1230b52d736f0f18b1004271257fac7e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=04ac71ea610c2712ff5c8ce06f17bb388ce63ffa

commit 04ac71ea610c2712ff5c8ce06f17bb388ce63ffa
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8cfb5d85490a59a748addad3a18a74f54b8a61ba

commit 8cfb5d85490a59a748addad3a18a74f54b8a61ba
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e2fd18a5b561c9109b8125647c3e2c5b6a01d1b5

commit e2fd18a5b561c9109b8125647c3e2c5b6a01d1b5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=55d133662179a2a2fdc8388d9794747808a4f262

commit 55d133662179a2a2fdc8388d9794747808a4f262
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:23 2013 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b117b3e2b54d23edc392fbe37e255a9e976f9c98

commit b117b3e2b54d23edc392fbe37e255a9e976f9c98
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=887e3eb2bb6521ce496633bbe08ffb1c97b64a69

commit 887e3eb2bb6521ce496633bbe08ffb1c97b64a69
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:51 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1dabd4c418c7585ebd288039bbf860d1bf0d21a3

commit 1dabd4c418c7585ebd288039bbf860d1bf0d21a3
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:22 2013 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a9364c642ac29b267ae5c63a8058a5dba6ae8d5e

commit a9364c642ac29b267ae5c63a8058a5dba6ae8d5e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=71a20093b81e1612695413114ed3c72cd3558d29

commit 71a20093b81e1612695413114ed3c72cd3558d29
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:21 2013 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=dd601ef93e9679c37e1ff8a6c29b2c22f0da55aa

commit dd601ef93e9679c37e1ff8a6c29b2c22f0da55aa
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:19 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e09a0eff9719fd54e446380bf2557f779f0e5698

commit e09a0eff9719fd54e446380bf2557f779f0e5698
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sat Jan 4 02:56:19 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3706f49d8faff35c074e02a9f95db0a9bdc01ed8

commit 3706f49d8faff35c074e02a9f95db0a9bdc01ed8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:25 2013 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f2891b1f75c57159e2a97b75815b449e9ddc6033

commit f2891b1f75c57159e2a97b75815b449e9ddc6033
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=17620271a12023b8c4e2a5ec972d987c9d1fe7c8

commit 17620271a12023b8c4e2a5ec972d987c9d1fe7c8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:20 2013 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=46ee5db0a96e61bcbe58bded2a2a768d0312bda6

commit 46ee5db0a96e61bcbe58bded2a2a768d0312bda6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d857c2e8d6b177e5c9ee1e0565751d539e1dc919

commit d857c2e8d6b177e5c9ee1e0565751d539e1dc919
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8bf65921c9110fa418e286209af53c53e6a13c11

commit 8bf65921c9110fa418e286209af53c53e6a13c11
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=39275d1b5a41df8bd72f38b84d1282d23d1eb3ca

commit 39275d1b5a41df8bd72f38b84d1282d23d1eb3ca
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8ebb2af28af47746884f717cf8d304e753d85fb8

commit 8ebb2af28af47746884f717cf8d304e753d85fb8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:19 2013 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=456fe64edbd97ac7f7d1c1a86a67b298283fe5e5

commit 456fe64edbd97ac7f7d1c1a86a67b298283fe5e5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b7699538dc44eeb180c3204da96c2a26dacf9fdf

commit b7699538dc44eeb180c3204da96c2a26dacf9fdf
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:17 2013 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=090aa8a1815b1bb392f61207e7fcc0c941a1f507

commit 090aa8a1815b1bb392f61207e7fcc0c941a1f507
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=78d54735f34e02d355605adfad51718085f7c6bd

commit 78d54735f34e02d355605adfad51718085f7c6bd
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=39692c21efa64a3d254082d6d03acb02ebddc983

commit 39692c21efa64a3d254082d6d03acb02ebddc983
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=21b20988a2766b9613156824670d32e3e184a4cc

commit 21b20988a2766b9613156824670d32e3e184a4cc
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=97532032cd0ca53751384bcdcfec744e95ca4de5

commit 97532032cd0ca53751384bcdcfec744e95ca4de5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:16 2013 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=52d566cd708fa55c9510e5f5b56b46a177fd087e

commit 52d566cd708fa55c9510e5f5b56b46a177fd087e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2acec0c7526fa6665854952ca18dd3dadbdef23f

commit 2acec0c7526fa6665854952ca18dd3dadbdef23f
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bb2f1d4896b49472000606248828f06bb019035b

commit bb2f1d4896b49472000606248828f06bb019035b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cbcee005782a0ced3bcc8611efc8d18ba660daf4

commit cbcee005782a0ced3bcc8611efc8d18ba660daf4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Nov 8 06:08:15 2013 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6c2b34cbb11fa8e8b25f1d03fd61e9f5cc17aa22

commit 6c2b34cbb11fa8e8b25f1d03fd61e9f5cc17aa22
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Thu Jan 16 22:32:12 2014 -0200

    Post v6 patches for intro.texi and macros.texi.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a9251473b42f2358a3aead5da0c79a36eef207e9

commit a9251473b42f2358a3aead5da0c79a36eef207e9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Thu Jan 16 17:44:15 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 5 cvs-commit@gcc.gnu.org 2014-01-19 17:10:43 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  853290011179cab4fa46364327a29c1a2f8e1bb6 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=853290011179cab4fa46364327a29c1a2f8e1bb6

commit 853290011179cab4fa46364327a29c1a2f8e1bb6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sun Jan 19 11:17:42 2014 -0200

    Check safety remarks in the manual.
    
    for  ChangeLog
    
    	* manual/check-safety.sh: New.
    	* manual/Makefile ($(objpfx)stamp-summary): Run it.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=20ba4ce0f3cc3bc269279e5e67f55f0815162ef3

commit 20ba4ce0f3cc3bc269279e5e67f55f0815162ef3
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:30 2014 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bd3a566184cdbc0f5fd3855a6c553b91129e6d7d

commit bd3a566184cdbc0f5fd3855a6c553b91129e6d7d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=44b7062a9e3dc6b1f86c68c67b630cad466ae9b8

commit 44b7062a9e3dc6b1f86c68c67b630cad466ae9b8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b79ae59d34ec3d571145958cb59165320fb2a0da

commit b79ae59d34ec3d571145958cb59165320fb2a0da
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=36a6e714f3f0d08b9e181815625e88cd17f8d503

commit 36a6e714f3f0d08b9e181815625e88cd17f8d503
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5e73aa09fb0173333cc1377b24ef0fb0f2ce0030

commit 5e73aa09fb0173333cc1377b24ef0fb0f2ce0030
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ab133518090d34f426b1300c7ab4d6c0d54fe84c

commit ab133518090d34f426b1300c7ab4d6c0d54fe84c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6d6ba1f1b57da61edf73a2ac902d7ba1afc28bae

commit 6d6ba1f1b57da61edf73a2ac902d7ba1afc28bae
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7d04dd960ea70bfa2b8c4d8e845454fdcbf57c33

commit 7d04dd960ea70bfa2b8c4d8e845454fdcbf57c33
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=edfd00d46a2b962bf3d16686ce6e0f7172194988

commit edfd00d46a2b962bf3d16686ce6e0f7172194988
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=130e113df2b0bf7490ea32c483833f3b87ffd9cb

commit 130e113df2b0bf7490ea32c483833f3b87ffd9cb
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=82517bcdc626a84a4f6598ad7afb04f46b0c8590

commit 82517bcdc626a84a4f6598ad7afb04f46b0c8590
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=86b17246c4bfaa47e450c55acdeeb5a562888667

commit 86b17246c4bfaa47e450c55acdeeb5a562888667
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1800c8e6c7d494a428d8b0b821c4ec14e0a111ec

commit 1800c8e6c7d494a428d8b0b821c4ec14e0a111ec
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a237b342afa0383eb2f6c26d1a74fc4415d67f10

commit a237b342afa0383eb2f6c26d1a74fc4415d67f10
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=149f24447d2cc37ba746c48b579fa21e12949b41

commit 149f24447d2cc37ba746c48b579fa21e12949b41
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=72c352c1119b6ebd2d7291c5c31a2e8835a824d1

commit 72c352c1119b6ebd2d7291c5c31a2e8835a824d1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=31b15fc3043b7b59d6c852e86623c05d4c0cc592

commit 31b15fc3043b7b59d6c852e86623c05d4c0cc592
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=edc15e0993572ba8826b784f66f9cefe5798342b

commit edc15e0993572ba8826b784f66f9cefe5798342b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d7b434a47888f414a01047d1ac6cd66abfb2b32b

commit d7b434a47888f414a01047d1ac6cd66abfb2b32b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e6d6fb77282cb079263ff6148cde73eb1df48dd5

commit e6d6fb77282cb079263ff6148cde73eb1df48dd5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ee7d8f5c7c337a58a100d6d23ab30c11310000c6

commit ee7d8f5c7c337a58a100d6d23ab30c11310000c6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bbad1a45f2753a9668553db72ef7483356ff0bef

commit bbad1a45f2753a9668553db72ef7483356ff0bef
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9304efd8e033e2a6c06f55bef0027c3d9ff3e732

commit 9304efd8e033e2a6c06f55bef0027c3d9ff3e732
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=59e527b54145b21c148c9414e4c725a044fef0cf

commit 59e527b54145b21c148c9414e4c725a044fef0cf
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=063835ac199dc290ec7f6a9d7443fc4ecad5e9d6

commit 063835ac199dc290ec7f6a9d7443fc4ecad5e9d6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cc3e9212590994fb21aad7d37e9bd3fed5dedaa9

commit cc3e9212590994fb21aad7d37e9bd3fed5dedaa9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=62c340545e282f63fa4bdf751ec3f0c28dcce388

commit 62c340545e282f63fa4bdf751ec3f0c28dcce388
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c23f85d2a6ca39ec8ed1b8cc44d6a05b728409ea

commit c23f85d2a6ca39ec8ed1b8cc44d6a05b728409ea
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fb59cdf63e8d5d7cc009cf766d4e6ceacdb1b6ef

commit fb59cdf63e8d5d7cc009cf766d4e6ceacdb1b6ef
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9cb3f544f1293433a5a3cbe3910033f5d46c83e5

commit 9cb3f544f1293433a5a3cbe3910033f5d46c83e5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4b37b16e304102981ab8e2ee0ff09ebef78dbe96

commit 4b37b16e304102981ab8e2ee0ff09ebef78dbe96
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4c48c3816780674bc754c0e712579d8030cbaf4c

commit 4c48c3816780674bc754c0e712579d8030cbaf4c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=549dba54360e68c86cf7e7caa35d9d3a573cd391

commit 549dba54360e68c86cf7e7caa35d9d3a573cd391
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b3915fa7b22bf1095bd27e89badf7d6821cade78

commit b3915fa7b22bf1095bd27e89badf7d6821cade78
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a0285983e7c027bb01289ec82c1683c92a1249e0

commit a0285983e7c027bb01289ec82c1683c92a1249e0
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:22 2014 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=839710420cacc7899b36fc2891f08fb2905dcdbe

commit 839710420cacc7899b36fc2891f08fb2905dcdbe
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sun Jan 19 11:17:42 2014 -0200

    Unposted post v6 patches for intro.texi and macros.texi.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=61e820b017d5b8b13779af6c69448c43841e4a53

commit 61e820b017d5b8b13779af6c69448c43841e4a53
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:22 2014 -0200

    Post v6 patches for intro.texi and macros.texi.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9efd304455a2417ed3aeb5eeb5c712d04101ac31

commit 9efd304455a2417ed3aeb5eeb5c712d04101ac31
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:22 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 6 cvs-commit@gcc.gnu.org 2014-01-23 14:17:54 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  d8e14db61ec79e93a9a76bd4d38e58cebf56b50b (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d8e14db61ec79e93a9a76bd4d38e58cebf56b50b

commit d8e14db61ec79e93a9a76bd4d38e58cebf56b50b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:30 2014 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=259d1edc55902d027bc1d74d61c3134f65d25d84

commit 259d1edc55902d027bc1d74d61c3134f65d25d84
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ca0b6877f8e1fa0a84b947f75161348afa7fbc34

commit ca0b6877f8e1fa0a84b947f75161348afa7fbc34
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=60ee2c7fc691f8e19759a3215ed286b46ab3f16b

commit 60ee2c7fc691f8e19759a3215ed286b46ab3f16b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e2775748536f70b668949b878069f180ce736bc7

commit e2775748536f70b668949b878069f180ce736bc7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e004884c91b2a7541e8763980dcfd2390ae2993e

commit e004884c91b2a7541e8763980dcfd2390ae2993e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=83675092c4cf813ab4227e5ef96dfc6bf9524294

commit 83675092c4cf813ab4227e5ef96dfc6bf9524294
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=448f6f0ce8938011a86f15088e908a285539b5c4

commit 448f6f0ce8938011a86f15088e908a285539b5c4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3835823ebbb7814ba682882639c12a8f8ce0bda9

commit 3835823ebbb7814ba682882639c12a8f8ce0bda9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=23037faf641292f56112bb8febdc79a8bb64b572

commit 23037faf641292f56112bb8febdc79a8bb64b572
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b08a87ecbdf86a67a585c69613963ea26b52e53e

commit b08a87ecbdf86a67a585c69613963ea26b52e53e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=37695bc969ed8484e1fd3a5d91348a30eb2650bd

commit 37695bc969ed8484e1fd3a5d91348a30eb2650bd
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=587e415eb321ea55d7a77193eae69bca1009f760

commit 587e415eb321ea55d7a77193eae69bca1009f760
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=10296fa6a5b15e7d757a5c2a77b4fcf5b76c4095

commit 10296fa6a5b15e7d757a5c2a77b4fcf5b76c4095
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a461d959c5726ffa47d5345ab5f8d8c8103a1431

commit a461d959c5726ffa47d5345ab5f8d8c8103a1431
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=712dcaa0d36526fefac978dfac4bd09d2bb0b292

commit 712dcaa0d36526fefac978dfac4bd09d2bb0b292
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=613a1cc981cb9e1c44dd40f0a0a4b889e99923bd

commit 613a1cc981cb9e1c44dd40f0a0a4b889e99923bd
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=67434b79496d75cab3f4956235060dcbdd3624d7

commit 67434b79496d75cab3f4956235060dcbdd3624d7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e95583a235c13aa9796dad06a1761c047bd986a1

commit e95583a235c13aa9796dad06a1761c047bd986a1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d885c2ecc1b50deccbbbdf2c5274715ac1452d58

commit d885c2ecc1b50deccbbbdf2c5274715ac1452d58
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=069992f9aea6a532e8b30b00a4877b6702a010fd

commit 069992f9aea6a532e8b30b00a4877b6702a010fd
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4cc4127414fee1202180cb5a96f80cad881310c3

commit 4cc4127414fee1202180cb5a96f80cad881310c3
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=92008675f9cab406b9b4729db36a052d83c20a7d

commit 92008675f9cab406b9b4729db36a052d83c20a7d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0c17c34435a624f9484ba71b8109c29c908f5c50

commit 0c17c34435a624f9484ba71b8109c29c908f5c50
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0828c520728aa8a4ea3c90e5de7c39617f1dbcd4

commit 0828c520728aa8a4ea3c90e5de7c39617f1dbcd4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=dc7834535adb68ca1028246a2e69bcaec7ad222c

commit dc7834535adb68ca1028246a2e69bcaec7ad222c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=56f378ad671b353a7cd626a27753ecf28f14847d

commit 56f378ad671b353a7cd626a27753ecf28f14847d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4eee6c268a282157d98dcdaeed981ac7e2dfeaae

commit 4eee6c268a282157d98dcdaeed981ac7e2dfeaae
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=61429dfaa6b07e90b749278e86034471a9807b98

commit 61429dfaa6b07e90b749278e86034471a9807b98
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9f97847405435070ca4249811ff03e7237d634f7

commit 9f97847405435070ca4249811ff03e7237d634f7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6332912a1020d803353fb16d1209a41593861888

commit 6332912a1020d803353fb16d1209a41593861888
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4a46ba95bad111f9db0775fc9a6c04cf13c4b2af

commit 4a46ba95bad111f9db0775fc9a6c04cf13c4b2af
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b97180147e3a4c5654e71ffe114424d39d7bf7d0

commit b97180147e3a4c5654e71ffe114424d39d7bf7d0
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ef8d595964b62fb43aeff0dc67efcbeb64d66b9d

commit ef8d595964b62fb43aeff0dc67efcbeb64d66b9d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b63306cdda68afbec55974a97217c0cf37f23841

commit b63306cdda68afbec55974a97217c0cf37f23841
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=46f52414ab95c891e1fbfd20412fd02ee8ebc3d1

commit 46f52414ab95c891e1fbfd20412fd02ee8ebc3d1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:22 2014 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=245c0e28e24aa31d5df6365443791e9c1e267d2b

commit 245c0e28e24aa31d5df6365443791e9c1e267d2b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sun Jan 19 11:17:42 2014 -0200

    Check safety remarks in the manual.
    
    for  ChangeLog
    
    	* manual/check-safety.sh: New.
    	* manual/Makefile ($(objpfx)stamp-summary): Run it.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bd12b6be3260a9dce8e50e8b334e9390470c050e

commit bd12b6be3260a9dce8e50e8b334e9390470c050e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Thu Jan 23 10:59:32 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 7 cvs-commit@gcc.gnu.org 2014-01-28 04:37:12 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  f6c627d437711f0fda30c0c42fffdedac640c1d7 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f6c627d437711f0fda30c0c42fffdedac640c1d7

commit f6c627d437711f0fda30c0c42fffdedac640c1d7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Sun Jan 19 11:17:42 2014 -0200

    Check safety remarks in the manual.
    
    for  ChangeLog
    
    	* manual/check-safety.sh: New.
    	* manual/Makefile ($(objpfx)stamp-summary): Run it.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6fa227d4eea41323d80622f480d844d75b437621

commit 6fa227d4eea41323d80622f480d844d75b437621
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:30 2014 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c88be6f1e6e2e5b64a7d656b8d4a4c848b80f157

commit c88be6f1e6e2e5b64a7d656b8d4a4c848b80f157
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8623970003dd2d5d46cd8463a97eb778e5e28a65

commit 8623970003dd2d5d46cd8463a97eb778e5e28a65
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0cc20140cd894e5950bac427e29d0313a9818909

commit 0cc20140cd894e5950bac427e29d0313a9818909
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ced430f787bd4248dc7f7e80f43734dda338aad2

commit ced430f787bd4248dc7f7e80f43734dda338aad2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:29 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6ae8ec0952307a32c43f1b3f101258a3ad5049df

commit 6ae8ec0952307a32c43f1b3f101258a3ad5049df
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=df12189a058ad65ee8e7698a96c669f6ab40706f

commit df12189a058ad65ee8e7698a96c669f6ab40706f
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=646f14dbe9075a6021c080e9c80aec33f4336339

commit 646f14dbe9075a6021c080e9c80aec33f4336339
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b3d36e20049111e66b773df5a3f17541fbdebdf6

commit b3d36e20049111e66b773df5a3f17541fbdebdf6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=133b57d120bec146b3851fe2b547b95ded485aea

commit 133b57d120bec146b3851fe2b547b95ded485aea
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:28 2014 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4c48cb48ac478795dab1c57403c58e0a245d8dc1

commit 4c48cb48ac478795dab1c57403c58e0a245d8dc1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2c7aee6de2c9f4bdd98e2800fa5346b0883b7867

commit 2c7aee6de2c9f4bdd98e2800fa5346b0883b7867
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f747bd47499433ae51a1d7711bcee212dd3534c2

commit f747bd47499433ae51a1d7711bcee212dd3534c2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ae1a36533b1aff499a71239032e53781ba6f0c2f

commit ae1a36533b1aff499a71239032e53781ba6f0c2f
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=05f228d23931c0b6d1f38d06bfc8a9112176b5c3

commit 05f228d23931c0b6d1f38d06bfc8a9112176b5c3
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:27 2014 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=569e4f3096dfb24aa208ba96143361e5b288b113

commit 569e4f3096dfb24aa208ba96143361e5b288b113
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cce43b590123c9d1c3d96dd9c5bc61963c77d458

commit cce43b590123c9d1c3d96dd9c5bc61963c77d458
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a10cb59d7ae8f828dd139033aa3af41718ac0bcd

commit a10cb59d7ae8f828dd139033aa3af41718ac0bcd
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=205d630ec4d104bab88160ac879ee74ee5dda82e

commit 205d630ec4d104bab88160ac879ee74ee5dda82e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b7e06279994adf193c04ba30b69843190ec5dd3c

commit b7e06279994adf193c04ba30b69843190ec5dd3c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3d563d4302f8b903b8c8131efc65b6443b163ec7

commit 3d563d4302f8b903b8c8131efc65b6443b163ec7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=034f94e34293fadf0e53ea4c0c846148b593702f

commit 034f94e34293fadf0e53ea4c0c846148b593702f
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b259b7c074d425d7bf56c413c32e425c0fbfb430

commit b259b7c074d425d7bf56c413c32e425c0fbfb430
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bfb63934490aa33f4feedeeb4ad7260d84167dc7

commit bfb63934490aa33f4feedeeb4ad7260d84167dc7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=284ea704f57191c232ecde8d5a43f73e375a4297

commit 284ea704f57191c232ecde8d5a43f73e375a4297
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:26 2014 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d05cc85ea301190ce6de21a1d06dcd8553f4cffb

commit d05cc85ea301190ce6de21a1d06dcd8553f4cffb
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:25 2014 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=35a8ac7cd8c11c200ed1a238808b2731bcf16339

commit 35a8ac7cd8c11c200ed1a238808b2731bcf16339
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b2c943bf66e6054ef1748def1303e72c69b28551

commit b2c943bf66e6054ef1748def1303e72c69b28551
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=951b575245857d38002d2132465a4187b9238160

commit 951b575245857d38002d2132465a4187b9238160
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f8dbdc39881ca94938845a8420505380819467cf

commit f8dbdc39881ca94938845a8420505380819467cf
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c7dabcd7bf6eae6ba315402037db6885f42c7467

commit c7dabcd7bf6eae6ba315402037db6885f42c7467
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:24 2014 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d72ae19cc4abbb0e972c84e58793d9d1bb673cc2

commit d72ae19cc4abbb0e972c84e58793d9d1bb673cc2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a6c86fafa981ae302077c726d09dafe14d05dc69

commit a6c86fafa981ae302077c726d09dafe14d05dc69
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=eb3c103d1e5c2596aa04e820a2ee6efee95b7948

commit eb3c103d1e5c2596aa04e820a2ee6efee95b7948
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a9ab5eb449be53b28d92ac9ae5c3640295836b1d

commit a9ab5eb449be53b28d92ac9ae5c3640295836b1d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:23 2014 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7a8f7ccca0a5496fb5e8a2702f546ca715376345

commit 7a8f7ccca0a5496fb5e8a2702f546ca715376345
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 17 20:20:22 2014 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cffb379133e061f5cb18ba2bbc1a22f435d74ad3

commit cffb379133e061f5cb18ba2bbc1a22f435d74ad3
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Thu Jan 23 10:59:32 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 8 cvs-commit@gcc.gnu.org 2014-01-28 05:54:37 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  0849f6afe199e997f1b28566a08418b1682761c2 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0849f6afe199e997f1b28566a08418b1682761c2

commit 0849f6afe199e997f1b28566a08418b1682761c2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    Check safety remarks in the manual.
    
    for  ChangeLog
    
    	* manual/check-safety.sh: New.
    	* manual/Makefile ($(objpfx)stamp-summary): Run it.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ed43b874baf920a162f65607ae6190894131c83b

commit ed43b874baf920a162f65607ae6190894131c83b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1138a5e4ca625ef5b64fbfdb52c873357835c771

commit 1138a5e4ca625ef5b64fbfdb52c873357835c771
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=48359fffa62fdcfa92db5c36ca185f3c5cf88f6e

commit 48359fffa62fdcfa92db5c36ca185f3c5cf88f6e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1f55745670de114a1c6cdb4b91ab5f8a928840ab

commit 1f55745670de114a1c6cdb4b91ab5f8a928840ab
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a1738cebb0ab94c19e03540db120b9c7aeb05240

commit a1738cebb0ab94c19e03540db120b9c7aeb05240
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e6cebc7ac5367ef1cc0feabaa246b1d02e836006

commit e6cebc7ac5367ef1cc0feabaa246b1d02e836006
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2785095b912ca7de3446de511d6ed45818948888

commit 2785095b912ca7de3446de511d6ed45818948888
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cf39e37096ada12ff8b20eb291561c35d0e44cff

commit cf39e37096ada12ff8b20eb291561c35d0e44cff
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a890249a0e4ee4d4908dc73ea9eb5fed8c4e13ba

commit a890249a0e4ee4d4908dc73ea9eb5fed8c4e13ba
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=34460d348ddd970c11200aac58942cfd13c4cc12

commit 34460d348ddd970c11200aac58942cfd13c4cc12
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=57b786fecdda7351a144e0a18c4bb9b5d90c8e80

commit 57b786fecdda7351a144e0a18c4bb9b5d90c8e80
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9929f0b9a943111999d9b8e15180df0262bec65b

commit 9929f0b9a943111999d9b8e15180df0262bec65b
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=891fe8464691d0a2865181bdfeeb6e199646412a

commit 891fe8464691d0a2865181bdfeeb6e199646412a
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e3c15b4d10d28b901983537b72eb03c02465c98d

commit e3c15b4d10d28b901983537b72eb03c02465c98d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=64c7f44d552cfeaa440ede5dc9906c81ef6d37e4

commit 64c7f44d552cfeaa440ede5dc9906c81ef6d37e4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cb4e002df835d486696fcfbfc1771d48f1211469

commit cb4e002df835d486696fcfbfc1771d48f1211469
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1fadefa49e96380974bdc15bfdb30243b1130535

commit 1fadefa49e96380974bdc15bfdb30243b1130535
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=851f9ab2eebcdcb1a2ea039484ec56a8c3c21a93

commit 851f9ab2eebcdcb1a2ea039484ec56a8c3c21a93
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=21857435df85385b000a993429d56988b78963b1

commit 21857435df85385b000a993429d56988b78963b1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bb30f3b6461abc539ada5c3ae32ad6100e3e7b9d

commit bb30f3b6461abc539ada5c3ae32ad6100e3e7b9d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1671a214db2c55c681b5d9fc2e54f4b190584994

commit 1671a214db2c55c681b5d9fc2e54f4b190584994
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=77ac9d9483d99208d2393b0e47239d37f8710ca4

commit 77ac9d9483d99208d2393b0e47239d37f8710ca4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=460ec571808b1c640b95f20ae549113231dc4dd2

commit 460ec571808b1c640b95f20ae549113231dc4dd2
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2d07e5509ebab544c12bb4683377a0c8e6cc38e5

commit 2d07e5509ebab544c12bb4683377a0c8e6cc38e5
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=90f9ff88f8719797259708e92ba44e1e111f22d4

commit 90f9ff88f8719797259708e92ba44e1e111f22d4
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0569dfc9570fe2e2cabb42ada10b3e3f23cbff57

commit 0569dfc9570fe2e2cabb42ada10b3e3f23cbff57
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=32391c8da76d43001c5c8bc0af1387d8cea65cbc

commit 32391c8da76d43001c5c8bc0af1387d8cea65cbc
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d8d82b2827bce50b2ad3bc36527a9188d4117b38

commit d8d82b2827bce50b2ad3bc36527a9188d4117b38
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=8a3fb452f64a3c1d97df6a2b2b647aa7d67bea50

commit 8a3fb452f64a3c1d97df6a2b2b647aa7d67bea50
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=dd47553205d11ae8be83324b17995ce991b009ec

commit dd47553205d11ae8be83324b17995ce991b009ec
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/debug.texi
    
    for ChangeLog
    
    	* manual/debug.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e4822c101a23f3494d0b13ce33cd6b23226b3413

commit e4822c101a23f3494d0b13ce33cd6b23226b3413
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:43 2014 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=85ebbae8da350f6c6d196a303690924351b5e936

commit 85ebbae8da350f6c6d196a303690924351b5e936
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:43 2014 -0200

    MT-, AS- and AC-safety docs: manual/crypt.texi
    
    for ChangeLog
    
    	* manual/crypt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4500c3a4705a9f6a6776853e8f35097eeccd1aa8

commit 4500c3a4705a9f6a6776853e8f35097eeccd1aa8
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:43 2014 -0200

    MT-, AS- and AC-safety docs: manual/conf.texi
    
    for ChangeLog
    
    	* manual/conf.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c764bb8b62d0125e1cfff90281acd9388c27ca66

commit c764bb8b62d0125e1cfff90281acd9388c27ca66
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:43 2014 -0200

    MT-, AS- and AC-safety docs: manual/charset.texi
    
    for ChangeLog
    
    	* manual/charset.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=44d8a4b74e71a5f75df2936ae22756f491c7839a

commit 44d8a4b74e71a5f75df2936ae22756f491c7839a
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:43 2014 -0200

    MT-, AS- and AC-safety docs: manual/arith.texi
    
    for  ChangeLog
    
    	* manual/arith.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ece051072dca5954b7f5b9b50bf995e4b2dcbb0e

commit ece051072dca5954b7f5b9b50bf995e4b2dcbb0e
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:42 2014 -0200

    MT-, AS- and AC-safety docs: manual/argp.texi
    
    for ChangeLog
    
    	* manual/argp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=eb3b90d05d659745c697c7f140b19550635cd414

commit eb3b90d05d659745c697c7f140b19550635cd414
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:42 2014 -0200

    Multi Thread, Async Signal and Async Cancel safety documentation: intro
    
    for  ChangeLog
    
    	* manual/macros.texi: Introduce macros to document multi
    	thread, asynchronous signal and asynchronous cancellation
    	safety properties.
    	* manual/intro.texi: Introduce the properties themselves.

-----------------------------------------------------------------------
Comment 9 cvs-commit@gcc.gnu.org 2014-01-30 20:52:55 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, lxoliva/thread-safety-docs has been created
        at  4ea206cd756ec016ea35c01909dc44b681859477 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4ea206cd756ec016ea35c01909dc44b681859477

commit 4ea206cd756ec016ea35c01909dc44b681859477
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    Check safety remarks in the manual.
    
    for  ChangeLog
    
    	* manual/check-safety.sh: New.
    	* manual/Makefile ($(objpfx)stamp-summary): Run it.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=77369338567f28f1b4a14080476719f46b49b636

commit 77369338567f28f1b4a14080476719f46b49b636
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/users.texi
    
    for ChangeLog
    
    	* manual/users.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=21ee2f0283eca99377bdc0d24efc26a77f3e6c52

commit 21ee2f0283eca99377bdc0d24efc26a77f3e6c52
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/time.texi
    
    for ChangeLog
    
    	* manual/time.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=77c913bd87cc6181e45092e6046ee3bb4cd88582

commit 77c913bd87cc6181e45092e6046ee3bb4cd88582
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/threads.texi
    
    for ChangeLog
    
    	* manual/threads.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e29953acaeda540504c77a7dd0df262332738b37

commit e29953acaeda540504c77a7dd0df262332738b37
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:49 2014 -0200

    MT-, AS- and AC-safety docs: manual/terminal.texi
    
    for ChangeLog
    
    	* manual/terminal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6fea3388696b1a3ae4d7e1a359a29a55310991b7

commit 6fea3388696b1a3ae4d7e1a359a29a55310991b7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/syslog.texi
    
    for ChangeLog
    
    	* manual/syslog.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9de8dbb7cc8ca2126d4443f05a5b7e646a5825f1

commit 9de8dbb7cc8ca2126d4443f05a5b7e646a5825f1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/sysinfo.texi
    
    for ChangeLog
    
    	* manual/sysinfo.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9668962cfd7a6932050575685fd775983836d67c

commit 9668962cfd7a6932050575685fd775983836d67c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/string.texi
    
    for ChangeLog
    
    	* manual/string.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=32ad86f0a983e48af74c296e73160da9fd1dffef

commit 32ad86f0a983e48af74c296e73160da9fd1dffef
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:48 2014 -0200

    MT-, AS- and AC-safety docs: manual/stdio.texi
    
    for  ChangeLog
    
    	* manual/stdio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c2a0a5b381e7212af074016aaf23e562f7b1a651

commit c2a0a5b381e7212af074016aaf23e562f7b1a651
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/startup.texi
    
    for ChangeLog
    
    	* manual/startup.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9a6a469b0997432c78f001d3188de7fd406286a9

commit 9a6a469b0997432c78f001d3188de7fd406286a9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/socket.texi
    
    for ChangeLog
    
    	* manual/socket.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e37beabafc64f95462a777713b6c37575e9ecd89

commit e37beabafc64f95462a777713b6c37575e9ecd89
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/signal.texi
    
    for ChangeLog
    
    	* manual/signal.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=e8f8c475397d183ff7213479b954e876fe01c8ce

commit e8f8c475397d183ff7213479b954e876fe01c8ce
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/setjmp.texi
    
    for ChangeLog
    
    	* manual/setjmp.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=ad60d5bdeabcbf04a2310bd68ac3e5b4bf568695

commit ad60d5bdeabcbf04a2310bd68ac3e5b4bf568695
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/search.texi
    
    for ChangeLog
    
    	* manual/search.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d99a1688a1070765301cbbe7bf7219566baa9098

commit d99a1688a1070765301cbbe7bf7219566baa9098
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:47 2014 -0200

    MT-, AS- and AC-safety docs: manual/resource.texi
    
    for ChangeLog
    
    	* manual/resource.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6cc918000b2a973594777e4c2b2187299674b524

commit 6cc918000b2a973594777e4c2b2187299674b524
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/process.texi
    
    for ChangeLog
    
    	* manual/process.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4566e0d253a8e679b4382fa2f308543c05d79c02

commit 4566e0d253a8e679b4382fa2f308543c05d79c02
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/platform.texi
    
    for ChangeLog
    
    	* manual/platform.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=5f2a27211e7c7c2241487f7d32eb54622a21009d

commit 5f2a27211e7c7c2241487f7d32eb54622a21009d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/pipe.texi
    
    for ChangeLog
    
    	* manual/pipe.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d3b247a1c890fffd2102e5272947348d4b6b323c

commit d3b247a1c890fffd2102e5272947348d4b6b323c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/pattern.texi
    
    for ChangeLog
    
    	* manual/pattern.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=184f466cc1d72562eb2bb33418af58c42d1173a6

commit 184f466cc1d72562eb2bb33418af58c42d1173a6
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:46 2014 -0200

    MT-, AS- and AC-safety docs: manual/message.texi
    
    for ChangeLog
    
    	* manual/message.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=326ea799ad5d17dbc0fb153cf8bf4bf77d0fada7

commit 326ea799ad5d17dbc0fb153cf8bf4bf77d0fada7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/memory.texi
    
    for ChangeLog
    
    	[BZ #12751]
    	* manual/memory.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4f839a0da590d98cca9e7bf229a2a241896620f7

commit 4f839a0da590d98cca9e7bf229a2a241896620f7
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/math.texi
    
    for ChangeLog
    
    	* manual/math.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6a965f3d38f2ab85462d9668becacc03c388204d

commit 6a965f3d38f2ab85462d9668becacc03c388204d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/locale.texi
    
    for  ChangeLog
    
    	* manual/locale.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9d7db9a190bc4ac56cc31d6f367ed26f0a51bfb1

commit 9d7db9a190bc4ac56cc31d6f367ed26f0a51bfb1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/llio.texi
    
    for ChangeLog
    
    	* manual/llio.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=878c3918ea7649e3fe4a534672404875322b9d06

commit 878c3918ea7649e3fe4a534672404875322b9d06
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/libdl.texi
    
    for ChangeLog
    
    	* manual/libdl.texi: New.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9aa37dd61f6e43917c619c0a43e742fc6e6bee6c

commit 9aa37dd61f6e43917c619c0a43e742fc6e6bee6c
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:45 2014 -0200

    MT-, AS- and AC-safety docs: manual/lang.texi
    
    for ChangeLog
    
    	* manual/lang.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=633a73e4abd5d1deffd7e1dbc24913186e07bf97

commit 633a73e4abd5d1deffd7e1dbc24913186e07bf97
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/job.texi
    
    for ChangeLog
    
    	* manual/job.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3edbde287bd28a9df50c86605ce1f00254d287e1

commit 3edbde287bd28a9df50c86605ce1f00254d287e1
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/getopt.texi
    
    for ChangeLog
    
    	* manual/getopt.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=c8f174f683c6f559b676e21d8294c0c82f039c8d

commit c8f174f683c6f559b676e21d8294c0c82f039c8d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/filesys.texi
    
    for ChangeLog
    
    	* manual/filesys.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=08d8855cb98976b99ef5a2d8da15ce45adfc74b9

commit 08d8855cb98976b99ef5a2d8da15ce45adfc74b9
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:44 2014 -0200

    MT-, AS- and AC-safety docs: manual/errno.texi
    
    for ChangeLog
    
    	* manual/errno.texi: Document MTASC-safety properties.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=49b8bfd44093631910c856a2ea345f4cd7d98b6d

commit 49b8bfd44093631910c856a2ea345f4cd7d98b6d
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Tue Jan 28 03:26:43 2014 -0200

    MT-, AS- and AC-safety docs: manual/ctype.texi
    
    for ChangeLog
    
    	* manual/ctype.texi: Document MTASC-safety properties.

-----------------------------------------------------------------------
Comment 10 cvs-commit@gcc.gnu.org 2014-02-01 01:29:36 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  9f529d7cfac3afacf602f9f04d8544dbacc33962 (commit)
      from  27aaa7911480751feb24d58a20c26890be85f425 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9f529d7cfac3afacf602f9f04d8544dbacc33962

commit 9f529d7cfac3afacf602f9f04d8544dbacc33962
Author: Alexandre Oliva <aoliva@redhat.com>
Date:   Fri Jan 31 23:28:38 2014 -0200

    [BZ #12751]
    * manual/memory.texi: Document MTASC-safety properties.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog          |    5 +
 NEWS               |    2 +-
 manual/memory.texi |  533 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 539 insertions(+), 1 deletions(-)
Comment 11 Alexandre Oliva 2014-02-01 01:39:45 UTC
Fixed in commit 9f529d7cfac3afacf602f9f04d8544dbacc33962, hopefully in time for release 2.19.
Comment 12 cvs-commit@gcc.gnu.org 2014-02-07 10:50:40 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The annotated tag, glibc-2.19 has been created
        at  62acb0ba856abf4a2a173e4b49c28749af7bd572 (tag)
   tagging  9a869d822025be8e43b78234997b10bf0cf9d859 (commit)
  replaces  glibc-2.18
 tagged by  Allan McRae
        on  Fri Feb 7 19:12:54 2014 +1000

- Log -----------------------------------------------------------------
The GNU C Library
=================

The GNU C Library version 2.19 is now available.

The GNU C Library is used as *the* C library in the GNU systems
and most systems with the Linux kernel.

The GNU C Library is primarily designed to be a portable
and high performance C library.  It follows all relevant
standards including ISO C11 and POSIX.1-2008.  It is also
internationalized and has one of the most complete
internationalization interfaces known.

The GNU C Library webpage is at http://www.gnu.org/software/libc/

Packages for the 2.19 release may be downloaded from:
        http://ftpmirror.gnu.org/libc/
        http://ftp.gnu.org/gnu/libc/

The mirror list is at http://www.gnu.org/order/ftp.html

NEWS for version 2.19
=====================

* The following bugs are resolved with this release:

  156, 387, 431, 762, 832, 926, 2801, 4772, 6786, 6787, 6807, 6810, 6981,
  7003, 9721, 9954, 10253, 10278, 11087, 11157, 11214, 12100, 12486, 12751,
  12986, 13028, 13982, 13985, 14029, 14032, 14120, 14143, 14155, 14286,
  14547, 14699, 14752, 14782, 14876, 14910, 15004, 15048, 15073, 15089,
  15128, 15218, 15268, 15277, 15308, 15362, 15374, 15400, 15425, 15427,
  15483, 15522, 15531, 15532, 15593, 15601, 15608, 15609, 15610, 15632,
  15640, 15670, 15672, 15680, 15681, 15723, 15734, 15735, 15736, 15748,
  15749, 15754, 15760, 15763, 15764, 15797, 15799, 15825, 15843, 15844,
  15846, 15847, 15849, 15850, 15855, 15856, 15857, 15859, 15867, 15886,
  15887, 15890, 15892, 15893, 15895, 15897, 15901, 15905, 15909, 15915,
  15917, 15919, 15921, 15923, 15939, 15941, 15948, 15963, 15966, 15968,
  15985, 15988, 15997, 16032, 16034, 16036, 16037, 16038, 16041, 16046,
  16055, 16071, 16072, 16074, 16077, 16078, 16103, 16112, 16143, 16144,
  16146, 16150, 16151, 16153, 16167, 16169, 16172, 16195, 16214, 16245,
  16271, 16274, 16283, 16289, 16293, 16314, 16316, 16330, 16337, 16338,
  16356, 16365, 16366, 16369, 16372, 16375, 16379, 16384, 16385, 16386,
  16387, 16390, 16394, 16398, 16400, 16407, 16408, 16414, 16430, 16431,
  16453, 16474, 16506, 16510, 16529

* Slovenian translations for glibc messages have been contributed by the
  Translation Project's Slovenian team of translators.

* The public headers no longer use __unused nor __block.  This change is to
  support compiling programs that are derived from BSD sources and use
  __unused internally, and to support compiling with Clang's -fblock
  extension which uses __block.

* CVE-2012-4412 The strcoll implementation caches indices and rules for
  large collation sequences to optimize multiple passes.  This cache
  computation may overflow for large collation sequences and may cause a
  stack or buffer overflow.  This is now fixed to use a slower algorithm
  which does not use a cache if there is an integer overflow.

* CVE-2012-4424 The strcoll implementation uses malloc to cache indices and
  rules for large collation sequences to optimize multiple passes and falls
  back to alloca if malloc fails, resulting in a possible stack overflow.
  The implementation now falls back to an uncached collation sequence lookup
  if malloc fails.

* CVE-2013-4788 The pointer guard used for pointer mangling was not
  initialized for static applications resulting in the security feature
  being disabled. The pointer guard is now correctly initialized to a
  random value for static applications. Existing static applications need
  to be recompiled to take advantage of the fix (bug 15754).

* CVE-2013-4237 The readdir_r function could write more than NAME_MAX bytes
  to the d_name member of struct dirent, or omit the terminating NUL
  character.  (Bugzilla #14699).

* CVE-2013-4332 The pvalloc, valloc, memalign, posix_memalign and
  aligned_alloc functions could allocate too few bytes or corrupt the
  heap when passed very large allocation size values (Bugzilla #15855,
  #15856, #15857).

* CVE-2013-4458 Stack overflow in getaddrinfo with large number of results
  for AF_INET6 has been fixed (Bugzilla #16072).

* New locales: ak_GH, anp_IN, ar_SS, cmn_TW, hak_TW, lzh_TW, nan_TW, pap_AW,
  pap_CW, quz_PE, the_NP.

* Substantially revised locales: gd_GB, ht_HT

* The LC_ADDRESS field was updated to support country_car for almost all
  supported locales.

* ISO 1427 definitions were updated.

* ISO 3166 definitions were updated.

* The localedef utility now supports --big-endian and --little-endian
  command-line options to generate locales for a different system from that
  for which the C library was built.

* Binary locale files now only depend on the endianness of the system for
  which they are generated and not on other properties of that system.  As a
  consequence, binary files generated with new localedef may be incompatible
  with old versions of the GNU C Library, and binary files generated with
  old localedef may be incompatible with this version of the GNU C Library,
  in the following circumstances:

  + Locale files may be incompatible on m68k systems.

  + Locale archive files (but not separate files for individual locales) may
    be incompatible on systems where plain "char" is signed.

* The configure option --disable-versioning has been removed.  Builds with
  --disable-versioning had not worked for several years.

* ISO 639 definitions were updated for Chiga (cgg) and Chinese (gan, hak, czh,
  cjy, lzh, cmn, mnp, cdo, czo, cpx, wuu, hsn, yue).

* SystemTap probes for malloc have been introduced.

* SystemTap probes for slow multiple precision fallback paths of
  transcendental functions have been introduced.

* Support for powerpc64le has been added.

* The soft-float powerpc port now supports e500 processors.

* Support for STT_GNU_IFUNC symbols added for ppc32/power4+ and ppc64.

* A new feature test macro _DEFAULT_SOURCE is available to enable the same
  set of header declarations that are enabled by default, even when other
  feature test macros or compiler options such as -std=c99 would otherwise
  disable some of those declarations.

* The _BSD_SOURCE feature test macro no longer enables BSD interfaces that
  conflict with POSIX.  The libbsd-compat library (which was a dummy library
  that did nothing) has also been removed.

* Preliminary documentation about Multi-Thread, Async-Signal and
  Async-Cancel Safety has been added.

Contributors
============

This release was made possible by the contributions of many people.
The maintainers are grateful to everyone who has contributed
changes or bug reports.  These include:

Adam Buchbinder
Adam Conrad
Adhemerval Zanella
Alan Modra
Alexandre Oliva
Allan McRae
Andreas Arnez
Andreas Jaeger
Andreas Krebbel
Andreas Schwab
Andrew Hunter
Andrew Pinski
Anton Blanchard
Arun Kumar Pyasi
Aurelien Jarno
Brooks Moses
Bruno Haible
Carlos O'Donell
Chris Leonard
Chris Metcalf
Chung-Lin Tang
David Holsgrove
David S. Miller
Eric Biggers
Eric Blake
Eric Wong
Fabrice Bauzac
Fernando J. V. da Silva
Florian Weimer
Guy Martin
H.J. Lu
Jan Kratochvil
Jia Liu
Joseph Myers
Kaz Kojima
Liubov Dmitrieva
Maciej W. Rozycki
Marc-Antoine Perennou
Marcus Shawcroft
Marko Myllynen
Markus Trippelsdorf
Maxim Kuvyrkov
Meador Inge
Michael Bauer
Michael Stahl
Mike Frysinger
Olivier Langlois
Ondřej Bílka
Patrick 'P. J.' McDermott
Paul Eggert
Paul Pluzhnikov
Pavel Simerda
Petr Machata
Rajalakshmi Srinivasaraghavan
Reuben Thomas
Richard Henderson
Richard Sandiford
Roland McGrath
Ryan S. Arnold
Sami Kerola
Samuel Thibault
Siddhesh Poyarekar
Stefan Liebler
Steve Ellcey
Thomas Schwinge
Toke Høiland-Jørgensen
Tom Tromey
Torvald Riegel
Ulrich Weigand
Uros Bizjak
Venkataramanan Kumar
Ville Skytta
Vinitha Vijayan
Wei-Lun Chao
Will Newton
Yogesh Chaudhari
Yuri Chornoivan
Yuriy Kaminskiy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQEcBAABAgAGBQJS9KOqAAoJEPmf/g/q6Zm9L9oIAK0E6xw+8e/b2rs5EkdCcdvz
upglZ/Vl7rDM0krIZrI14Q0ZQKpYr8+k8MjlktvytaG5qMEFLAFFEquzksB8bnRj
52GfMIfiP+UGU3sQoSHFaAHlPXhycF2H7XhpH/zJ7he46eaoaOL13tOxDurdk3Z1
vzStBnIOm9cpMkSg+Cs4RGlXGhlvJvay1a6whhE7zsv/EXg0mCoYQpYQrTNkCdjv
ugtWtta+URBSZHl49batzZz+WZ5yQzRIubXGqC44ofm6r+tIgJ4t2/vo64qnA/1+
63y0Zxk1+xl8fcxvqibw5LeY2GN1hGBvkhVR4bh4mmHsLGIwvCF5ZavKDREl638=
=MNMJ
-----END PGP SIGNATURE-----

Adam Buchbinder (1):
      soft-fp: fix typo in comment.

Adam Conrad (1):
      Fix incorrect ChangeLog formatting

Adhemerval Zanella (113):
      PowerPC: fix backtrace to handle signal trampolines
      Add memrchr testcase
      PowerPC: fix POWER7 memrchr for some large inputs
      benchtests: Add memrchr benchmark
      Update powerpc-fpu ULPs.
      PowerPC: Fix POINTER_CHK_GUARD thread register for PPC64
      PowerPC: strcpy/stpcpy optimization for PPC64/POWER7
      Fix ChangeLog date.
      PowerPC: Fix vDSO missing ODP entries
      benchtests: Add strtod benchmark
      PowerPC: Fix __fe_mask_env export
      PowerPC: Fix __fe_mask_env export
      PowerPC: Set/restore rounding mode only when needed
      PowerPC: Fix __fe_nomask_env missing symbol
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      Fix elf/get-dynamic-info.h for AT
      PowerPC: Add systemtap static probe points in setjmp/longjmp
      Revert wrong commit.
      Update powerpc-fpu ULPs.
      PowerPC: initial support for multilib for PowerPC32
      PowerPC: multiarch memcpy for PowerPC32
      PowerPC: multiarch memcmp for PowerPC32
      PowerPC: multiarch memset/bzero for PowerPC32
      PowerPC: multiarch mempcpy for PowerPC32
      PowerPC: multiarch memchr for PowerPC32
      PowerPC: multiarch memrchr for PowerPC32
      PowerPC: multiarch rawmemchr for PowerPC32
      PowerPC: multiarch strlen for PowerPC32
      PowerPC: multiarch strnlen for PowerPC32
      PowerPC: multiarch strncmp for PowerPC32
      PowerPC: multiarch strcasecmp for PowerPC32
      PowerPC: multiarch strncasecmp for PowerPC32
      PowerPC: multiarch strchrnul for PowerPC32
      PowerPC: multiarch strchr for PowerPC32
      PowerPC: multiarch wcschr for PowerPC32
      PowerPC: multiarch wcsrchr for PowerPC32
      PowerPC: multiarch wcscpy for PowerPC32
      PowerPC: multiarch wordcopy routines for PowerPC32
      PowerPC: change sysdeps fpu folder
      PowerPC: multiarch llrint/llrintf for PowerPC32
      PowerPC: multiarch llround/llroundf for PowerPC32
      PowerPC: multiarch sqrt/sqrtf for PowerPC32
      PowerPC: multiarch isnan/isnanf for PowerPC32
      PowerPC: multiarch isinf/isinff for PowerPC32
      PowerPC: multiarch finite/finitef for PowerPC32
      PowerPC: multiarch ceil/ceilf for PowerPC32
      PowerPC: multiarch floor/floorf for PowerPC32
      PowerPC: multiarch round/roundf for PowerPC32
      PowerPC: multiarch trunc/truncf for PowerPC32
      PowerPC: multiarch copysign/copysignf for PowerPC32
      PowerPC: multiarch lround/lrounf for PowerPC32
      PowerPC: multiarch lrint/lrintf for PowerPC32
      PowerPC: multiarch modf/modff for PowerPC32
      PowerPC: multiarch logb/logbf/logbl for PowerPC32
      PowerPC: multiarch __ieee754_hypot[f] for PowerPC32
      PowerPC: Adjust multiarch Implies for PowerPC32
      PowerPC: Update NEWS with ppc32/power4+ STT_GNU_IFUNC support
      PowerPC: Optimized mpn functions for PowerPC64
      PowerPC: Optimized mpn functions for PowerPC64/POWER7
      Update powerpc-fpu ULPs.
      Add GLIBC_2.3 and GLIBC_2.19 in Versions.def
      PowerPC: Add DSO and TAR fields to TLS
      PowerPC: Adjust multiarch Implies for PowerPC64
      PowerPC: multiarch memcpy for PowerPC64
      PowerPC: multirach memcmp for PowerPC64
      PowerPC: multiarch memset/bzero for PowerPC64
      PowerPC: multiarch mempcpy for PowerPC64
      PowerPC: multiarch memchr for PowerPC64
      PowerPC: multiarch memrchr for PowerPC64
      PowerPC: multiarch rawmemchr for PowerPC64
      PowerPC: multiarch strlen for PowerPC64
      PowerPC: multiarch strnlen for PowerPC64
      PowerPC: multiarch strcasecmp for PowerPC64
      PowerPC: multiarch strncasecmp for PowerPC64
      PowerPC: multiarch strncmp for PowerPC64
      PowerPC: multiarch strchr for PowerPC64
      PowerPC: multiarch strchrnul for PowerPC64
      PowerPC: multiarch wcschr for PowerPC64
      PowerPC: multiarch wcsrchr for PowerPC64
      PowerPC: multiarch wcscpy for PowerPC64.
      PowerPC: multiarch wordcopy for PowerPC64
      PowerPC: multiarch strcpy for PowerPC64
      PowerPC: multiarch stpcpy for PowerPC64
      PowerPC: Cleaning up uneeded sqrt routines
      PowerPC: Adjust multiarch Implies for PowerPC64
      PowerPC: multiarch isnan/isnanf for PowerPC64
      PowerPC: multiarch llround/lround for PowerPC64
      PowerPC: multiarch ceil/ceilf for PowerPC64
      PowerPC: multiarch floor/floorf for PowerPC64
      PowerPC: multiarch round/roundf for PowerPC64
      PowerPC: multiarch trunc/truncf for PowerPC64
      PowerPC: multiarch copysign/copysignf for PowerPC64
      PowerPC: multiarch llrint/lrint for PowerPC64
      PowerPC: multiarch finite/finitef for PowerPC64
      PowerPC: multiarch isinf/isinff for PowerPC64
      PowerPC: multiarch logb/logbl/logbf for PowerPC64
      PowerPC: multiarch modf/modff for PowerPC64
      PowerPC: multiarch hypot/hypotf for PowerPC64
      PowerPC: Update NEWS with ppc64 STT_GNU_IFUNC support
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      Update powerpc-fpu ULPs.
      PowerPC: Fix compiler warnings
      Update powerpc-fpu ULPs.
      PowerPC: remove wrong truncl implementation for PowerPC64
      PowerPC: sotruss-lib implementation
      PowerPC: Fix ftime gettimeofday internal call returning bogus data
      Add BZ#16430 to NEWS.
      PowerPC: Fix gettimeofday ifunc selection
      abilist-pattern configurability
      PowerPC: Change powerpc64le start ABI to 2.17.
      PowerPC: powerpc64le abilist for 2.17

Alan Modra (36):
      IBM long double mechanical changes to support little-endian
      Fix for [BZ #15680] IBM long double inaccuracy
      PowerPC floating point little-endian [1 of 15]
      PowerPC floating point little-endian [2 of 15]
      PowerPC floating point little-endian [3 of 15]
      PowerPC floating point little-endian [4 of 15]
      PowerPC floating point little-endian [5 of 15]
      PowerPC floating point little-endian [6 of 15]
      PowerPC floating point little-endian [9 of 15]
      PowerPC floating point little-endian [10 of 15]
      PowerPC floating point little-endian [11 of 15]
      PowerPC floating point little-endian [12 of 15]
      PowerPC floating point little-endian [13 of 15]
      PowerPC floating point little-endian [15 of 15]
      PowerPC ugly symbol versioning
      PowerPC LE _dl_hwcap access
      PowerPC makecontext
      PowerPC SIGSTKSZ
      PowerPC LE strlen
      PowerPC LE strnlen
      PowerPC LE strcmp and strncmp
      PowerPC LE strcpy
      PowerPC LE strchr
      PowerPC LE memcmp
      PowerPC LE memcpy
      PowerPC LE memset
      PowerPC LE memchr and memrchr
      string/test-memcpy error reporting
      string/tester memrchr test
      PowerPC LE configury
      fix changelog date
      Correct little-endian relocation of UADDR64,32,16.
      Use stdint.h types in union unaligned.
      Mention powerpc64le support in NEWS and README, plus bugs fixed.
      Fix careless merge.
      PowerPC64: Report overflow on @h and @ha relocations

Alexandre Oliva (51):
      PR 15483
      Add first set of memory probes.
      Add probes for all changes to malloc options.
      Add probes for malloc arena changes.
      Add probes for malloc retries.
      Add catch-all alloc retry probe.
      Add malloc probes for sbrk and heap resizing.
      Mention malloc probes in the NEWS file.
      * manual/macros.texi: Introduce macros to document multi
      * manual/argp.texi: Document MTASC-safety properties.
      * manual/arith.texi: Document MTASC-safety properties.
      * manual/conf.texi: Document MTASC-safety properties.
      * manual/crypt.texi: Document MTASC-safety properties.
      * manual/charset.texi: Document MTASC-safety properties.
      * manual/debug.texi: Document MTASC-safety properties.
      * manual/ctype.texi: Document MTASC-safety properties.
      * manual/getopt.texi: Document MTASC-safety properties.
      * manual/job.texi: Document MTASC-safety properties.
      * manual/lang.texi: Document MTASC-safety properties.
      * manual/libdl.texi: New.
      * manual/llio.texi: Document MTASC-safety properties.
      * manual/locale.texi: Document MTASC-safety properties.
      * manual/math.texi: Document MTASC-safety properties.
      [BZ #12751]
      * manual/message.texi: Document MTASC-safety properties.
      * manual/pattern.texi: Document MTASC-safety properties.
      * manual/pipe.texi: Document MTASC-safety properties.
      * manual/platform.texi: Document MTASC-safety properties.
      * manual/process.texi: Document MTASC-safety properties.
      * manual/resource.texi: Document MTASC-safety properties.
      * manual/search.texi: Document MTASC-safety properties.
      * manual/setjmp.texi: Document MTASC-safety properties.
      * manual/signal.texi: Document MTASC-safety properties.
      * manual/socket.texi: Document MTASC-safety properties.
      * manual/startup.texi: Document MTASC-safety properties.
      * manual/sysinfo.texi: Document MTASC-safety properties.
      * manual/syslog.texi: Document MTASC-safety properties.
      * manual/stdio.texi: Document MTASC-safety properties.
      * manual/threads.texi: Document MTASC-safety properties.
      * manual/string.texi: Document MTASC-safety properties.
      * manual/time.texi: Document MTASC-safety properties.
      * manual/string.texi (wcstok): Fix prototype.
      * manual/intro.texi: Document safety identifiers and
      * manual/errno.texi: Document MTASC-safety properties.
      * manual/filesys.texi: Document MTASC-safety properties.
      * manual/terminal.texi: Document MTASC-safety properties.
      * manual/check-safety.sh: New.
      * manual/time.texi (timegm): Add missing blank after @c.
      * manual/threads.texi (pthread_key_create, pthread_key_delete,
      * manual/users.texi: Document MTASC-safety properties.
      * manual/macros.texi: Add comments before MTASC-safety macros.

Allan McRae (43):
      Update to latest versions of GPL-2.0 and LGPL-2.1
      Fix nesting of ifdefs in netgroupcache.c
      Fix memory leaks in libio on allocation failure
      Fix memory leak in stdlib/isomac.c
      Fix typo in strcoll example
      Update pt_chown sections of the manual
      Clarify documentation cross-reference
      Remove references to non-existent content items in install.texi
      Revert "Remove references to non-existent content items in install.texi"
      Fix incorrect getaddrinfo assertion trigger
      Fix ChangeLog formatting issue
      Add missing bug number to NEWS
      Add systemd unit file for nscd
      Add --enable-maintainer-mode configure option
      Update file name in x86_64 ifunc list
      Set AUTOCONF variable when maintainer-mode is not used
      Stop partial menu generation in INSTALL file
      Fix typo in csloww()
      Update copyright notices with scripts/update-copyrights
      Update remaining copyright dates
      scripts/update-copyrights: adjust configure input file suffix
      Fix gettext call formatting
      Regenerate libc.po
      Fix typo in inet/netinet/in.h comment
      Update Ukrainian translations
      Update Russian translations
      Update Polish translations
      Update Dutch translations
      Update Czech translations
      Update Esperanto translations
      Update Vietnamese translations
      Update Swedish translations
      Update German translations
      Update Bulgarian translations
      Update Catalan translations
      Update French translations
      Update Slovenian translations
      Revert "Async-signal safe TLS."
      Revert "Patch 2/4 of the effort to make TLS access async-signal-safe."
      Revert "Patch 3/4 of the effort to make TLS access async-signal-safe."
      Revert "Patch [1/4] async-signal safe TLS."
      Revert "BZ 16133 has been fixed (async signal safe TLS)."
      Update version.h and include/features.h for 2.19 release

Andreas Arnez (1):
      * elf/setup-vdso.h (setup_vdso): Fix missing string termination.

Andreas Jaeger (1):
      Update ULPs for i386

Andreas Krebbel (9):
      * sysdeps/unix/sysv/linux/s390/sys/procfs.h (struct elf_prstatus):
      [BZ #16214] S/390: Fix TLS GOT pointer setup.
      S/390: Make jmp_buf extendible.
      S/390: Make ucontext_t extendible.
      S/390: Get rid of unused variable warning in dl-machine.h
      S/390: Remove __tls_get_addr argument cast.
      S/390: Regenerate ULPs.
      [BZ #16427] Fix ldbl-128 exp overflows.
      S/390: Merge 32 and 64 bit ucontext.h.

Andreas Schwab (28):
      Fix cbrtl for ldbl-96
      Fix dependencies for stdlib/tst-tls-atexit
      Fix handling LC_CTYPE nonascii-case fallback in i686 SSE4.2 and SSSE3 strcasecmp/strncasecmp
      Fix missing declaration of LC_CTYPE nonascii-case element
      Add O_TMPFILE to <fcntl.h>
      Make __ffs hidden
      Properly cache the result from looking up the nss database config
      m68k: use PIC for Scrt1.o
      Fix typo in last change
      Don't use gethostbyaddr to determine canonical name
      Let tst-swscanf find its locale
      Fix parsing of 0e+0 as float
      Refill NEWS
      Fix BZ reference
      Restore ChangeLog
      Fix off-by-one in nscd getservbyport call
      Fix country_num element in LC_ADDRESS for C locale
      Properly handle unavailable elements in LC_MONETARY category
      Complete display of LC_MONETARY
      Fix CFI annotations in pthread_cond_timedwait for i486+
      ChangeLog fix
      m68k: don't assume PI futexes before 3.10
      m68k: add support for PI futexes
      m68k: use math_force_eval in nextafterl
      Remove use of SSE4.2 functions for strstr on i686
      Fix uses of CALL_MCOUNT in ppc64 assembler sources
      Let gen-libm-test.pl find itself when run outside source directory
      m68k: regenerate libm test ULPs

Andrew Hunter (1):
      Async-signal safe TLS.

Andrew Pinski (1):
      [AArch64] Fix BE access to errno.

Anton Blanchard (4):
      PowerPC floating point little-endian [7 of 15]
      PowerPC floating point little-endian [8 of 15]
      PowerPC floating point little-endian [14 of 15]
      PowerPC LE setjmp/longjmp

Arun Kumar Pyasi (1):
      New locale for the_NP.

Aurelien Jarno (4):
      MIPS: Add wrappers to get/setrlimit64 to fix RLIM64_INFINITY constant
      MIPS: Fix RLIM64_INFINITY constant for O32 and N32 ABIs
      locale: don't crash if locale-archive contains all zeros
      Add bug number to ChangeLog and NEWS

Brooks Moses (5):
      Fix erroneous (and circular) implied pattern rule for linkobj/libc.so.
      Add error reporting (via errno) to getauxval().
      Updated NEWS to mention resolution of bug 15846.
      Define __CORRECT_ISO_CPP_STRING_H_PROTO correctly for Clang.
      Obvious comment typo fix ("openened") in elf/dl-load.c.

Bruno Haible (1):
      Fix description of random according to POSIX. Fixes bug 7003

Carlos O'Donell (19):
      ARM: Pass dl_hwcap to IFUNC resolver.
      Coordinate IPv6 definitions for Linux and glibc
      Copy-edit NEWS and fixup ChangeLog entries.
      BZ #15754: CVE-2013-4788
      BZ #15754: Fix test case for ARM.
      Enhance localedef --list-archive option.
      Mention FIPS 140-2 compliance and Sun RPC.
      Fix typo in sys/ptrace.h.
      NEWS: Mention __unused and __block removal.
      NEWS: Only public headers have __unused/__block changed.
      Add test case for pthread_[sg]etname_np.
      Add Solvenian translations for glibc messages.
      Rename header.pot to pot.header.
      Add BZ #15850 to ChangeLog.
      Fix manual build warnings.
      [hppa] Regenerate libm-test-ulps.
      Fix tst-setgetname for Linux kernels < 2.6.33.
      Fix comment in kernel-features.h.
      BZ #16529: Fix pedantic warning with netinet/in.h.

Chris Leonard (57):
      Add quz_PE locale
      Update ht_HT locale
      Update iso-1427.def and related occurrences.
      Update iso-1427.def and related occurrences.
      Deduplicate country_car.
      ChangeLog entry for Deduplicate country_car.
      Fix trailing whitespace
      Add country_car field to LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      Update iso-639.def
      Update Changelog and NEWS
      correct bug list in NEWS
      New locale for ak_GH.
      Adjust language-code fields of LC_ADDRESS.
      Fix ayc_PE.UTF-8 and lzh_TW.UTF-8 build issues
      Update iso-1366.def and related occurrences
      Split ar_SD into ar_SD and ar_SS
      Copy / modify pap_AN into pap_AW and pap_CW.
      Correct error in iso-3166.def
      Fix typos in 3166.def.
      Adjust language-code fields of LC_ADDRESS.
      Fix ar_SS in SUPPORTED
      remove localdata path from Changelog entries
      Fixes to Changelog for locale splits
      correct LC_TELEPHONE for pap locales
      Adjust language-code fields of LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      New-locale-for-anp_IN
      Add Meadow Mari (mhr).
      Adjust language-code fields of LC_ADDRESS.
      Add Central Nahuatl (nhn).
      Adjust language-code fields of LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      Add Quechua, Southern (quz) and Silesian (szl) to iso-639.def.
      Adjust language-code fields of LC_ADDRESS.
      Adjust language-code fields of LC_ADDRESS.
      Correct Walaita (wal) and add Unami Delaware (unm).
      Adjust language-code fields of LC_ADDRESS.
      [BZ #16103]  LC_MEASUREMENT review and standardization
      [BZ #16143] pap_* locales have duplicated LC_NUMERIC section.
      Add Chitwani Tharu (the)
      Correct wae_CH to UTF-8 encoding.
      [BZ #16144] Duplicated abday value for tk_TM.
      Add lang_name to Arabic locales.
      Add lang_name to German, English, Spanish, French locales.
      Add lang_name to various locales.
      Add lang_name to various locales.
      revert error-generated by bs_BA.
      Add lang_name to various locales.
      Add lang_name to various locales.
      revert hebrew lang_name addition
      revert hebrew lang_name addition
      Add lang_name to various locales.
      Add lang_name to various locales.
      Add lang_name to various locales.
      fix localedata/ChangeLog
      Add lang_name to various locales.

Chris Metcalf (3):
      Mention bug 15760 in NEWS (duplicate of 15988, just added to NEWS)
      test-fpucw-ieee: Don't use _FPU_IEEE if not defined
      tile: Regenerate libm-test-ulps

Chung-Lin Tang (1):
      linux-generic: fix alignment of struct stat/statfs for nios2

David Holsgrove (4):
      microblaze: Use <fenv.h> fallback functions
      microblaze BZ #15705: Define MMAP2_PAGE_SHIFT
      microblaze: Update libm-test-ulps
      Revert "microblaze BZ #15705: Define MMAP2_PAGE_SHIFT"

David S. Miller (11):
      Open development for 2.19.
      Update Catalan translations.
      Add Ukrainian translations.
      Update Chinese (traditional) translations.
      Update sparc ULPs.
      Fix readdir regressions on sparc 32-bit.
      Fix build on pre-v9 32-bit Sparc.
      Fix sparc 64-bit GMP ifunc resolution in static builds.
      Rebuild sparc ULPs.
      Adjust sparc ULPs.
      Add missing ChangeLog from yesterday's sparc ULPs update.

Eric Biggers (1):
      Fix fwrite() reading beyond end of buffer in error path

Eric Blake (2):
      glob: silence -Wattribute warnings
      maint: correct changelog

Eric Wong (2):
      Update x86_64 ULPs (AMD Family 10h)
      Update x86_64 ULPs (AMD family 21, model 2)

Fabrice Bauzac (1):
      Document that mmap() returns MAP_FAILED on error, as per the POSIX standard.

Fernando J. V. da Silva (1):
      Fix BZ #15089: malloc_trim always trim for large padding.

Florian Weimer (1):
      CVE-2013-4237, BZ #14699: Buffer overflow in readdir_r

Guy Martin (1):
      Don't use broken DL_AUTO_FUNCTION_ADDRESS()

H.J. Lu (4):
      Set arch_minimum_kernel to 3.4.0 for x32
      Don't check asynchronous cancellation on system
      Include generic symbol-hacks.h for x32
      Disable x87 inline functions for SSE2 math

Jan Kratochvil (2):
      Fix vDSO l_name for GDB's: Can't read pathname for load map: Input/output error.
      Put Bug # to the NEWS file for the previous vDSO l_name fix.

Jia Liu (1):
      sunrpc/rpc/types.h: fix OS X and FreeBSD build problems

Joseph Myers (128):
      Remove trailing blank lines when generating INSTALL.
      Use __getpagesize and __ffs in MMAP2_PAGE_SHIFT == -1 case of mmap64.
      Include <string.h> in sysdeps/unix/sysv/linux/mmap64.c.
      Fix cproj handling of (finite, NaN) arguments (bug 15531).
      Fix fdim handling of infinities (bug 15797).
      Add bug 15867 to NEWS.
      Fix cexp (NaN + i0) (bug 15532).
      Fix spurious jnf underflows (bug 14155).
      Fix lgammaf spurious underflow (bug 15427).
      Remove --disable-versioning.
      conformtest: Fix namespace testing.
      Define MMAP2_PAGE_SHIFT to -1 for m68k.
      Mention --disable-versioning removal in NEWS.
      Fix powerpc fpu_control.h namespace and parenthesis issues (bug 15966).
      Don't force -msoft-float for powerpc --without-fp.
      e500 port: setjmp/longjmp.
      e500 port: fpu_control.h.
      Make locale archive hash function architecture-independent.
      Add localedef --big-endian and --little-endian options.
      conformtest: Clean up expectations for POSIX for pthread.h.
      conformtest: Clean up expectations for POSIX for sched.h.
      Remove locale file dependence on int32_t alignment.
      Hardcode locale archive page size as 4096.
      e500 port: getcontext / setcontext / swapcontext.
      e500 port: fix fpu_control.h constant values.
      e500 port: adjust sysdeps/unix/sysv/linux/configure.in case.
      Move powerpc ports pieces to libc.
      Clean up locale file alignment handling.
      soft-fp: Remove trailing semicolon from _FP_FRAC_DISASSEMBLE_4.
      soft-fp: fix negation NaN handling (bug 16034).
      soft-fp: split FP_INIT_EXCEPTIONS from FP_INIT_ROUNDMODE.
      Avoid ordered comparisons of NaNs in ldbl-128ibm acosl and asinl.
      Extend powerpc-nofpu -fno-builtin-fabsl workaround to more files.
      Add soft-fp files from libgcc.
      Update copyright and license notices in soft-fp files from libgcc.
      soft-fp: fix floating-point to integer unsigned saturation.
      soft-fp: fix _FP_DIV_MEAT_* returning results with wrong exponent (bug 16032).
      soft-fp: add macro FP_NO_EXCEPTIONS.
      soft-fp: add missing FP_INIT_EXCEPTIONS and FP_INIT_ROUNDMODE calls.
      soft-fp: make ordered comparisons raise "invalid" for quiet NaNs (bug 14910).
      soft-fp: make __unord* raise "invalid" for signaling NaNs (bug 16036).
      soft-fp: fix preprocessor indentation.
      soft-fp: fix vertical whitespace and indentation.
      soft-fp: remove unused macros.
      soft-fp: fix horizontal whitespace.
      soft-fp: make extensions quiet signaling NaNs (bug 16041).
      Remove duplicate bug numbers from NEWS.
      Add e500 port.
      Move entries to correct port ChangeLog files.
      Add some more NEWS items.
      Define __STDC_IEC_559* based on __GCC_IEC_559*.
      Fix strtod rounding of half the least subnormal (bug 16151).
      Fix spurious "inexact" exceptions from x86 pow with NaN argument (bug 16167).
      Make libm-test.inc check for "inexact" exceptions for NaN argument.
      Replace libm-test.inc TEST_INLINE conditionals with NO_TEST_INLINE flag.
      Add libm-test support for ignored return value, add more lrint / llrint / lround / llround tests.
      Test signs of NaNs in libm-test.inc where appropriate.
      Define TLS version of libc_hidden_proto.
      Make powerpc-nofpu floating-point state thread-local (bug 15483).
      Fix powerpc-nofpu build.
      Add bug 11214 to NEWS.
      Fix bug ordering in NEWS.
      Fix dbl-64 e_sqrt.c for non-default rounding modes (bug 16271).
      Document some libm error handling intents.
      Add powerpc-nofpu/e500 support functions for atomic compound assignment and FLT_ROUNDS.
      Remove unused ldbl-96 functions (bug 15004).
      Document libm accuracy goals.
      Start generating libm tests automatically with MPFR.
      Test sqrt in all rounding modes.
      Fix x86 sqrt rounding (bug 14032).
      Fix exp10 errno setting on underflow (bug 6787).
      Move TEST_f_f tests for [a-c]* functions from libm-test.inc to auto-libm-test-in.
      Move TEST_f_f tests for [e-j]* functions from libm-test.inc to auto-libm-test-in.
      Fix erfc errno setting on underflow (bug 6786).
      Fix exp2 errno setting on underflow (bug 16283).
      Fix exp missing underflows (bug 15268, bug 15425).
      Update MIPS dl-lookup.c from generic version.
      Fix Bessel function error handling (bug 6807, bug 15901).
      Add missing bug numbers (12486, 15915, 16038) to NEWS.
      Update longlong.h from GCC.
      Move TEST_f_f tests for [l-y]* functions from libm-test.inc to auto-libm-test-in.
      Fix tgamma errno setting on underflow (bug 6810).
      Move tests of lgamma from libm-test.inc to auto-libm-test-in.
      Add missing bug number to NEWS.
      Move tests of atan2, hypot and pow from libm-test.inc to auto-libm-test-in.
      Fix hypot handling of subnormals (bug 16316, bug 16330).
      Fix dbl-64 hypot spurious underflows (bug 16314).
      Remove __FAVOR_BSD.
      Remove libbsd-compat dummy library.
      Remove various unused files from sysdeps/unix/bsd/.
      Remove unused files from sysdeps/unix/bsd/bsd4.4/bits/.
      Fix ldbl-128 logl for subnormals (bug 16338).
      Mark some hypot tests no-test-inline.
      Update powerpc-nofpu localplt.data for fegetround hidden_proto / hidden_def.
      Move tests of jn and yn from libm-test.inc to auto-libm-test-in.
      Add _DEFAULT_SOURCE feature test macro.
      Fix x86/x86_64 expm1 inaccuracy near 0 in directed rounding modes (bug 16293).
      Disable libm-test test name beautification for M_* constants.
      Move tests of sincos from libm-test.inc to auto-libm-test-in.
      Update texinfo.tex, config.guess, config.sub from upstream.
      Don't make soft-fp symbols compat symbols for powerpc-nofpu.
      Move tests of cabs and carg from libm-test.inc to auto-libm-test-in.
      Move various TEST_c_c tests from libm-test.inc to auto-libm-test-inc.
      Move tests of cpow from libm-test.inc to auto-libm-test-in.
      Update timezone code from tzcode 2013i.
      Revert spurious copying of ChangeLog to localedata/ChangeLog.
      Add more libm-test coverage of [a-c]* real functions.
      Fix x86 / x86_64 expl / expl10l wild results in directed rounding modes (bug 16356).
      Flatten sysdeps/unix/bsd/bsd4.4 into sysdeps/unix/bsd.
      Fix ldbl-128 lgammal for small negative arguments (bug 16337).
      Regenerate x86 / x86_64 ulps.
      Regenerate MIPS ulps.
      Regenerate ARM ulps.
      Fix ldbl-128ibm acoshl inaccuracy (bug 16384).
      Fix ldbl-128ibm asinhl inaccuracy (bug 16385).
      Fix ldbl-128ibm logl inaccuracy (bug 16386).
      Mark various libm tests with xfail-rounding:ldbl-128ibm.
      Regenerate powerpc-nofpu ulps.
      Fix soft-float ldbl-128ibm atan2l signs of zero results (bug 16390).
      Fix ldbl-128 / ldbl-128ibm lgammal spurious underflow (bug 16400).
      Fix ldbl-128ibm coshl spurious overflows (bug 16407).
      Mark more libm tests with xfail-rounding:ldbl-128ibm.
      Regenerate powerpc-nofpu ulps (again).
      Use separate libc.abilist for MIPS o32 soft float.
      Fix ldbl-128ibm expm1l on large arguments (bug 16408).
      Fix math/test-fpucw-*.c for sysdeps test-fpucw.c overrides.
      Bug 6981 was fixed by commit 1484e65736f4cab27e5051e0f06be8470e69af82.
      Bug 15968 was fixed by commit 0748546f660d27a2ad29fa6174d456e2f6490758.

Kaz Kojima (11):
      Add SH implementation of stackguard-macros.h.
      Add ChangeLog entry for new sysdeps/sh/stackguard-macros.h.
      Add SH implementation of sotruss-lib.c and c++-types.data.
      Use $$ver instead of $ver.
      Move sysdeps/sh/sh4/fpu/bits/fenv.h to sysdeps/sh/bits/.
      Make soft-float sh use soft-fp fma/fmaf.
      Adjust SH specific fpu_control.h and ucontext.h files.
      Restore ucontext ABI for soft-float sh4.
      Move SH libm-test-ulps to sysdeps/sh and regenerate it.
      Regenerate SH libm-test-ulps with proper compiler options.
      Add -mieee to SH sysdep-CFLAGS for older SH compilers.

Liubov Dmitrieva (2):
      i686: Skip SSE4_2 version for strcmp, strncmp, strncase, strcasecmp
      Fix buffer overrun in strtod_l

Maciej W. Rozycki (7):
      MIPS: Correct the handling of reserved FCSR bits
      Fix static-binary lazy FPU context allocation
      MIPS: IEEE 754-2008 NaN encoding support
      MIPS: bits/atomic.h: Fix comment typo
      manual: Fix a typo in `POSIX Threads' section
      nptl: tst-mutex8.c: Handle ENOTSUP PI mutex failure
      [BZ #16046] Static dlopen correction fallout fixes.

Marc-Antoine Perennou (1):
      Accept make versions 4.0 and greater

Marcus Shawcroft (18):
      [AArch64] Adding sigcontextinfo.h
      [AArch64] Support __mcount profiling.
      Handle NULL return from htab_find_slot()
      Avoid passing NULL to DSO_FILENAME.
      [AArch64] Regenerate libm-test-ulps.
      [AArch64] Back out sqrt() addition to libm-test-ulps.
      [AArch64] libm-test-ulps regenerated from scratch.
      [AArch64] Implement FUTEX_*_REQUEUE_PI
      [AArch64] Save and restore q0-q7 on entry to dynamic linker.
      Compile e_sqrt.c with -ffp-contract=off.
      [AArch64] Define ABORT_INSTRUCTION.
      [AArch64] Regenerate libm-test-ulps.
      [AArch64] Fix CFA adjustment on dynamic linker entry.
      [AArch64] Remove sqrt from libm-test-ulps
      [AArch64] Fix FP_ROUNDMODE.
      [AArch64] Define BE loader name.
      [AArch64] Fix type in abi-lp64_be-options.
      [AArch64] Regenerate libm-test-ulps.

Marko Myllynen (1):
      Fix Charset comment in fi_FI, fi_FI@euro

Markus Trippelsdorf (1):
      Update x86_64 ULps for AMD K10

Maxim Kuvyrkov (4):
      Improve atomic locking for ARM.
      Add BZ #15640 to resolved bug list in NEWS.
      Fix race in free() of fastbin chunk: BZ #15073
      Restore accidentally deleted bug-fix entries in NEWS.

Meador Inge (1):
      Use __glibc_block in public headers.

Michael Bauer (1):
      Version 1.2 of gd_GB locale

Michael Stahl (1):
      Print the reason why preloading failed in do_preload()

Mike Frysinger (27):
      configure: add missing quotes in $build_pt_chown test
      [BZ #15897] dlfcn: do not mark dlopen/dlclose as leaf functions
      tst-fanotify: new simple test
      hppa: add fanotify_mark
      tst-fanotify: skip when we get back EPERM
      tst-fanotify: fix style
      rename configure.in to configure.ac
      ia64: link.h: adjust whitespace
      ia64: implement sotruss support
      ia64: ioperm: clean up long dead code
      ia64: add lll_futex_timed_wait_bitset
      ia64: implement futex requeue pi support
      ignore gdb related files
      ia64: syscall: add some helpful documentation
      ia64: setjmp: use HIDDEN_JUMPTARGET
      ia64: setjmp/longjmp: stop saving/restoring fpsr [BZ #16379]
      ia64: longjmp_chk: support signal stacks [BZ #16372]
      tst-fanotify: check for linux/fanotify.h existence
      NEWS: mention 16379 as fixed
      tst-fanotify: switch to AC_DEFINE
      ia64: fix build failure after async tls updates
      ptrace.h: add __ prefix to ptrace_peeksiginfo_args
      ia64: add __ prefix to pt_all_user_regs/ia64_fpreg [BZ #762]
      ia64: regenerate libm-test-ulps
      ia64: drop large results from libm-test-ulps [BZ #16401]
      ia64: regen libm-test-ulps from scratch
      s390: implement sotruss support

Olivier Langlois (1):
      Fix tst-long-dbl-fphex swprintf length calculation.

Ondřej Bílka (66):
      Fix typos.
      Fix typos.
      Remove aix specific files.
      Fix rawmemchr regression on bulldozer.
      Fix typos.
      Fix then/than typos.
      Fix typo.
      Add unaligned strcmp.
      Remove DO_NOT_USE_THIS conditionals.
      Faster strchr implementation.
      Faster strrchr.
      BZ #431 Fix manual of strncat/wcsncat.
      Use p2align instead ALIGN
      Correctly copy resolver address. Fixes bug #13028.
      Fix error_tail overflow in allocation calculation.
      Clear initfini list after freeing. Fixes bug 15308.
      Format floating routines.
      Fix inet_network("1 bar"). Fixes bug 15277.
      Remove assert in malloc statistic. Fixes bug 12486.
      Replace alloca in __tzfile_read by malloc. Fixes bug 15670
      When glob pattern contains a trailing slash match only directories. Fixes bug 10278.
      Document rpcgen -5. Fixes bug 15825
      Acknowledge that fnmatch can fail. Fixes bug 14029.
      Make strptime %Z consistent between doc and code. Fixes bug 14876
      Changelog for last commit.
      Fix gethostbyname_r example. Fixes bug 2801.
      Remove code from div that is by C99 obsolete. Fixes bug 15799
      Use atomic operations to track memory. Fixes bug 11087
      Restrict shm_open and shm_unlink to SHMDIR. Fixes bugs 14752 and 15763.
      Fix malloc_info statistic. Fixes bug 16112
      Remove unused NONTLS_INIT_TP.
      Fix changelog
      Make getent services compliant with  RFC 6335 section 5.1 Fixes bug 15374
      Do not let scanf("%4p") accept "(nil)". Fixes bug 16055
      Remove unused variable.
      Fix breaking of RPATH when $ORIGIN contains colons. Fixes bug 10253
      Revert b75891075bece24be9fd85618f18af4a2daf7f1c
      Consolidate valloc/pvalloc code.
      Use __glibc_reserved instead __unused.
      Fix typo in _dl_tlsdesc_resolve_hold.
      Remove duplicate ifunc benchtests.
      Add changelog.
      Remove duplicate ifunc tests.
      Also remove benchtests/bench-strsep-ifunc.c
      Make memset in calloc a tail call.
      Return fixed version of  breaking of RPATH when $ORIGIN contains colons
      Document shm_open.
      Properly handle shm_open validation. Fixes bug 16274.
      Refactor several debug routines.
      Allow strptime read outputs from strftime. Fixes bug 4772.
      Add bug numbers 926, 4772 and 16274 to NEWS.
      Replace malloc force_reg by atomic_forced_read.
      Simplify perturb_byte logic.
      Drop PER_THREAD conditionals from malloc.
      Expand MALLOC_COPY and MALLOC_ZERO to memcpy and memset.
      Add strstr with unaligned loads. Fixes bug 12100.
      Update documentation after dropping PER_THREAD  conditional.
      Add missing deftp to fix commit 4d84e6addd62bdc256627af.
      Clarify that scanf does not use character classes.  Fixes bug 12986
      Add Changelog and news entry.
      Fix ChangeLog
      Reformat malloc to gnu style.
      Fix integer overflow in vfwprintf. Fixes bug 14286.
      Add 15850 to NEWS.
      Do not enable asynchronous cancellation in system. Fixes bug 14782.
      Add ChangeLog entry

Patrick 'P. J.' McDermott (2):
      don't use Bash-specific ${parameter/pattern/string} expansion
      ldd: make try_trace more robust and portable

Paul Eggert (5):
      Clarify documentation on how functions use timezone. Fixes bug 926.
      * manual/time.texi (TZ Variable): POSIX.1 hour can be 24.
      * manual/time.texi (TZ Variable): Modernize North America example
      Document TZ transition times >= 25:00:00.
      Support TZ transition times < 00:00:00.

Paul Pluzhnikov (18):
      Adjust AT_EXECFN when using explicit loader invocation.
      Adjust AT_EXECFN when using explicit loader invocation.
      Fix failure in nptl/tst-cleanup when building with
      Revert "Fix failure in nptl/tst-cleanup when building with"
      Fix failure in tst-cleanup2 and tst-cleanupx2 with gcc-4.9
      Fix missing > on email.
      Fix intermittent failure in tst-getpid2.
      Patch [1/4] async-signal safe TLS.
      Patch 3/4 of the effort to make TLS access async-signal-safe.
      Patch 2/4 of the effort to make TLS access async-signal-safe.
      Cleanup compile warnings.
      Fix incorrect power of 2 check in last commit.
      Fix white space as well.
      Merge branch 'master' of ssh://sourceware.org/git/glibc
      Fix ChangeLog entry.
      Fix a race in tst-tls7, which caused crashes on ppc32.
      BZ 16133 has been fixed (async signal safe TLS).
      Mention BZ 9721

Pavel Simerda (2):
      getaddrinfo: remove dead code
      Remove redundant GAIH_OKIFUNSPEC and GAIH_EAI.

Petr Machata (1):
      Add AArch64 relocation definitions.

Rajalakshmi Srinivasaraghavan (2):
      benchtests: Add strsep benchmark
      benchtests: Add strtok benchmark

Reuben Thomas (1):
      Fix typo in setlocale.c. Fixes BZ #15764

Richard Henderson (5):
      alpha: Improve conditions under which PTR_MANGLE is defined
      alpha: Fix signal thunk unwind info
      alpha: Convert <bits/mman.h> to <bits/mman-linux.h>
      alpha: Fix tls-macros.h
      alpha: Update libm-test-ulps

Richard Sandiford (3):
      Make localedef output generation use more logical interfaces.
      Fix some types in localedef.
      Fix localedef collation handling of <U0000> (bug 15948).

Roland McGrath (23):
      Use proper #include for xdecrypt declarations.
      Make stub lxstat64 call xstat64, like stub lxstat calls xstat.
      Flesh out 4.4 bits/socket.h with SOCK_CLOEXEC, SOCK_NONBLOCK.
      Replace generic bits/socket.h with 4.4 file.
      Clean up __libc_sa_len helper.
      True stub __ifreq.
      Mild decrufting in resolv code.
      Don't try to use ioctl unless [FIONREAD].
      Cope without sunrpc.
      Clean up _res declaration to use __thread unconditionally.
      Clean up h_errno declaration to use __thread unconditionally.
      Fix up ChangeLog formatting.
      Make armv6t2 strlen work in ARM mode too.
      Use sfi_* macros in armv6t2 strlen.
      Update to canonical freemanuals.texi file.
      Fix up ChangeLog formatting.
      Adjust generic swapon prototype to match Linux version.
      Add missing #include for malloc/hooks.c code.
      ARM: Fix memcpy computed-jump calculations for ARM_ALWAYS_BX case.
      ChangeLog whitespace fix.
      Clean up setjmp use in dl-error.c.
      ARM: Disable compat mcount code when unneeded.
      Remove excessive redundant ChangeLog header lines.

Ryan S. Arnold (1):
      Update generic swapon definition to match prototype.

Sami Kerola (1):
      nscd: list all tables in usage()

Samuel Thibault (3):
      Hurd: Use __executable_start symbol instead of _start.
      Add fork hooks for pthread_atfork
      Fix build on hurd

Siddhesh Poyarekar (75):
      Simplify strcoll implementation
      Fix indentation in aicache.c
      Initialize res_hconf in nscd
      Use __glibc_unlikely instead of __builtin_expect (..., 0)
      Mark success return value as volatile to work around rescheduling
      Format sincos32.c
      Remove redundant goto lines
      Consolidate sin/cos computation for large inputs
      Consolidate sin/cos table lookup code
      New test cases for sin and cos for multiple precision fallback
      Add benchmark inputs for sincos
      Consolidate common code into macros
      Fall back to non-cached sequence traversal and comparison on malloc fail
      Check for integer overflow in cache size computation in strcoll
      Use the mutex member of the argumen in __libc_lock_*_recursive
      Move ChangeLog entry
      Fix PI mutex check in pthread_cond_broadcast and pthread_cond_signal
      Fix typo in manual
      Add more directives to benchmark input files
      Fix ChangeLog formatting
      Consolidate multiple precision sin/cos functions
      Format e_exp.c
      Format e_pow.c
      Add systemtap markers to math function slow paths
      Don't include tls.h in test cases
      Fix stack overflow due to large AF_INET6 requests
      Consolidate conditionals in mp sin/cos functions
      New inputs for exp
      Benchmark inputs for pow
      Add ChangeLog entry and fix NEWS for #16078
      Fix reads for sizes larger than INT_MAX in AF_INET lookup
      Fix ChangeLog formatting
      Add systemtap probe markers for sin, cos, asin and acos
      Fix ChangeLog formatting
      Rename Oriya locale to Odia (bug 15601)
      Fix build warning in locarchive.c
      Get canonical name in getaddrinfo from hosts file for AF_INET (fixes 16077)
      Add 16214 to NEWS
      Fix ChangeLog formatting
      Use herrnop directly
      [BZ #16195] Fix build warnings from systemtap probes in non-systemtap configurations
      benchtests: skip over blank lines in benchmark input files
      BZ #15941: Fix INSTALL file regeneration failure with makeinfo 5.x
      Fix ChangeLog formatting
      Remove unused variables in __stpncpy_chk
      Accept output arguments to benchmark functions
      benchtests: Append volatile keyword to type instead of prepending
      Use double constants instead of the struct number
      Consolidate definition of constant t22
      benchmark inputs for exp2, log2, log and tan
      Minor code cleanup in s_sin.c
      Remove some redundant computations in s_sin.c
      Remove redundant arguments in reduce_and_compute
      Remove more redundant computations in s_sin.c
      Consolidate code to compute sin and cos from lookup tables
      benchmark inputs for asin and acos
      benchmark inputs for sinh and cosh
      benchmark inputs for asinh and acosh
      benchmark inputs for tanh and atanh
      benchmark inputs for atan
      Benchmark inputs for cos and sin
      Fix infinite loop in nscd when netgroup is empty (bz #16365)
      Fix return code from getent netgroup when the netgroup is not found (bz #16366)
      Correct inputs for sin and cos
      Don't use alloca in addgetnetgrentX (BZ #16453)
      Mention addition of multiple precision fallback libm probes in NEWS
      Adjust pointers to triplets in netgroup query data (BZ #16474)
      Avoid undefined behaviour in netgroupcache
      Fix invalid memory access when parsing netgroup files with blank lines (BZ #16506)
      Add bug entry for previous commit in NEWS
      Fix spaces before tabs
      Update contrib.texi
      Fix infinite loop in ftell when writing wide char data (BZ #16398)
      Update NEWS for #16398
      Update contrib.texi

Stefan Liebler (1):
      S/390: Increase tst-tls7 test case timeout

Steve Ellcey (12):
      2013-09-20  Steve Ellcey  <sellcey@mips.com>
      2013-09-20  Steve Ellcey  <sellcey@mips.com>
      Remove trailing space.
      2013-09-23  Steve Ellcey  <sellcey@mips.com>
      2013-09-19  Steve Ellcey  <sellcey@mips.com>
      2013-09-23  Steve Ellcey  <sellcey@mips.com>
      2013-09-23  Steve Ellcey  <sellcey@mips.com>
      2013-09-26  Steve Ellcey  <sellcey@mips.com>
      2013-09-26  Steve Ellcey  <sellcey@mips.com>
      2013-11-13  Steve Ellcey  <sellcey@mips.com>
      Benchmark test for sqrt function.
      Add ChangeLog entry for sqrt tests.

Thomas Schwinge (5):
      math: Additional type conversion tests
      [BZ #15522] strtod ("nan(N)") returning a sNaN in some cases
      Use ELFOSABI_GNU instead of ELFOSABI_LINUX.
      Support ELFOSABI_GNU on all GNU systems.
      Hurd: Add ESUCCESS error_t value.

Toke Høiland-Jørgensen (2):
      Add entries for U00D8 and U00F8.
      Update NEWS

Tom Tromey (1):
      [AArch64] BZ #16169 Add CFI directives to clone.S

Torvald Riegel (1):
      benchtests: Add include-sources directive.

Ulrich Weigand (8):
      PowerPC64: Fix incorrect CFI in *context routines
      PowerPC64: Add __private_ss field to TCB header
      PowerPC64 ELFv2 ABI 1/6: Code refactoring
      PowerPC64 ELFv2 ABI 2/6: Remove function descriptors
      PowerPC64 ELFv2 ABI 3/6: PLT local entry point optimization
      PowerPC64 ELFv2 ABI 4/6: Stack frame layout changes
      PowerPC64 ELFv2 ABI 5/6: LD_AUDIT interface changes
      PowerPC64 ELFv2 ABI 6/6: Bump ld.so soname version number

Uros Bizjak (1):
      Avoid "left shift count >= width of type" warnings in soft-fp code.

Venkataramanan Kumar (1):
      [AArch64] Pointer mangling support for AArch64.

Ville Skytta (1):
      Fix spelling in manual, as in bug 16376

Vinitha Vijayan (1):
      [BZ #15859] Fix memory leak in _dl_map_object_deps

Wei-Lun Chao (4):
      New locale for nan_TW
      New locale for lzh_TW
      New locale for hak_TW
      New locale for cmn_TW

Will Newton (33):
      sysdeps/arm/armv6t2/strlen.S: strlen implementation for armv6t2.
      ARM: Fix clone code when built for Thumb.
      benchtests/Makefile: Use LDLIBS instead of LDFLAGS.
      benchtests: Switch string benchmarks to use bench-timing.h.
      benchtests/Makefile: Run benchmark for memcpy.
      malloc: Add realloc test.
      malloc: Check for integer overflow in pvalloc.
      malloc: Check for integer overflow in valloc.
      malloc: Check for integer overflow in memalign.
      Mention closing 15855, 15856 and 15857 in NEWS.
      benchtests: Rename argument to TIMING_INIT macro.
      Add CVE-2013-4332 to NEWS.
      ARM: Improve armv7 memcpy performance.
      sysdeps/mach/hurd/i386/tls.h: Remove TLS_INIT_TP_EXPENSIVE.
      ports/sysdeps/arm/nptl/tls.h: Remove TLS_INIT_TP_EXPENSIVE.
      malloc: Add posix_memalign test.
      malloc/tst-valloc.c: Improve test coverage and use test-skeleton.c.
      malloc: Add pvalloc test.
      ARM: Add pointer encryption support.
      malloc: Add memalign test.
      malloc/tst-posix_memalign.c: Tidy up code.
      malloc/tst-pvalloc.c: Tidy up code.
      malloc/tst-valloc.c: Tidy up code.
      ARM: Allow building __longjmp as Thumb.
      ARM: Allow building __sigsetjmp as Thumb.
      malloc/hooks.c: Correct check for overflow in memalign_check.
      malloc: Fix for infinite loop in memalign/posix_memalign.
      manual/memory.texi: Remove register keyword from examples.
      aarch64: Enable ifunc support.
      manual/memory.texi: Bring aligned allocation docs up to date.
      manual/memory.texi: Document aligned_alloc.
      ARM: Don't apply pointer encryption to the frame pointer
      ARM: Fix clone build for ARMv4

Yogesh Chaudhari (1):
      Update gethostbyname2_r documentation. Fixes bug #156.

Yuri Chornoivan (1):
      Fix typos.

Yuriy Kaminskiy (1):
      Fix a thinko/typo in i686's memmove (aka __memmove_ia32).

cjl (6):
      Add FSF statement to ayc_PE locale.
      Add FSF statement to ayc_PE locale.
      Add FSF statement to ayc_PE locale.
      Add country_car field to LC_ADDRESS
      Add country_car field to LC_ADDRESS
      Add country_car field to LC_ADDRESS

-----------------------------------------------------------------------